Profile cover photo
Profile photo
Robin's Exadata Links and tips
187 followers -
Exadata Extreme performance Database Machine
Exadata Extreme performance Database Machine

187 followers
About
Posts

Simple script that iterates over all the databases in /etc/oratab and runs an sql against them if they are up

#!/bin/bash
echo "___________________________________________________________________________"
export ORAENV_ASK=NO
for i in `grep -v "^#" /etc/oratab|grep .|cut -d: -f 1`;
do
if [ `ps -ef|grep $i|grep pmon|wc -l` = 1 ]
then
echo $i
export ORACLE_SID=$i
. oraenv -s
sqlplus -S / as sysdba @/home/oracle/arch.sql
echo "___________________________________________________________________________"
else
echo $i " is down"
echo "___________________________________________________________________________"
fi
done
~


In my case I just want to check the archive log application status so my arch.sql is as follows

SET FEEDBACK OFF ECHO OFF PAGESIZE 0
SELECT ARCH.THREAD# ||' sequence received='||ARCH.SEQUENCE# || ' sequence applied='||APPL.SEQUENCE# || ' Difference='||(ARCH.SEQUENCE# - APPL.SEQUENCE#) "Value"
--into l_sby_seq_recd,l_sby_seq_appl,l_difference
FROM
(SELECT unique THREAD# ,SEQUENCE#
FROM V$ARCHIVED_LOG
WHERE (THREAD#,FIRST_TIME )
IN (SELECT THREAD#,MAX(FIRST_TIME)
FROM V$ARCHIVED_LOG
GROUP BY THREAD#)) ARCH,
(SELECT THREAD# ,SEQUENCE#
FROM V$LOG_HISTORY
WHERE (THREAD#,FIRST_TIME )
IN (SELECT THREAD#,MAX(FIRST_TIME)
FROM V$LOG_HISTORY GROUP BY THREAD#)) APPL
WHERE
ARCH.THREAD# = APPL.THREAD#
order by 1
/
exit;


works well but of course could do with more error handling for corner cases!
Add a comment...

Post has attachment
Installing the OCi python client. Now I need to figure out why its erroring out...

Photo
Photo
2/10/18
2 Photos - View album
Add a comment...

Post has attachment
issues with the New Image import facility in OCi and a stock OEL 7.3 Image. Strangely enough the Import Utility seems to have created network Config Files for enp0s3 but the actual interface has come up as ens3 due to which dhcp had failed and the only way to access the server was via the serial console. After I renamed the config files it picked up the assigned DHCp address and I could access the machine. However this would be a problem for Bulk Migrations. i still need to understand why the discrepancy

[root@localhost network-scripts]# systemctl start network.service start
Failed to start start.service: Unit not found.
Job for network.service failed because the control process exited with error code. See "systemctl status network.service" and "journalctl -xe" for details.
[root@localhost network-scripts]# journalctl -xe
Jan 13 00:54:38 localhost.localdomain network[4000]: Bringing up interface enp0s
Jan 13 00:54:38 localhost.localdomain network[4000]: [FAILED]
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain network[4000]: RTNETLINK answers: File exi
Jan 13 00:54:38 localhost.localdomain systemd[1]: network.service: control proce
Jan 13 00:54:38 localhost.localdomain systemd[1]: Failed to start LSB: Bring up/
-- Subject: Unit network.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- -- Unit network.service has failed.
-- -- The result is failed.
Jan 13 00:54:38 localhost.localdomain systemd[1]: Unit network.service entered f
Jan 13 00:54:38 localhost.localdomain systemd[1]: network.service failed.
Jan 13 00:54:38 localhost.localdomain polkitd[639]: Unregistered Authentication
[root@localhost network-scripts]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN
link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
inet 127.0.0.1/8 scope host lo
valid_lft forever preferred_lft forever
inet6 ::1/128 scope host
valid_lft forever preferred_lft forever
2: ens3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
link/ether 00:00:17:02:b4:7a brd ff:ff:ff:ff:ff:ff
[root@localhost network-scripts]# ls
ifcfg-enp0s3 ifdown-ppp ifup-ib ifup-Team
ifcfg-lo ifdown-routes ifup-ippp ifup-TeamPort
ifdown ifdown-sit ifup-ipv6 ifup-tunnel
ifdown-bnep ifdown-Team ifup-isdn ifup-wireless
ifdown-eth ifdown-TeamPort ifup-plip init.ipv6-global
ifdown-ib ifdown-tunnel ifup-plusb network-functions
ifdown-ippp ifup ifup-post network-functions-ipv6
ifdown-ipv6 ifup-aliases ifup-ppp
ifdown-isdn ifup-bnep ifup-routes
ifdown-post ifup-eth ifup-sit
[root@localhost network-scripts]# cp ifcfg-enp0s3 ifcfg-ens3
[root@localhost network-scripts]# ifup ens3
Could not load file '/etc/sysconfig/network-scripts/ifcfg-ens3'
Could not load file '/etc/sysconfig/network-scripts/ifcfg-ens3'
ERROR : [/etc/sysconfig/network-scripts/ifup-eth] Device enp0s3 does not seem to be present, delaying initialization.
[root@localhost network-scripts]# grep enp0s3 *
ifcfg-enp0s3:NAME=enp0s3
ifcfg-enp0s3:DEVICE=enp0s3
ifcfg-ens3:NAME=enp0s3
ifcfg-ens3:DEVICE=enp0s3
[root@localhost network-scripts]# vi ifcfg-ens3
TYPE=Ethernet
BOOTPROTO=dhcp
DEFROUTE=yes
PEERDNS=yes
PEERROUTES=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=enp0s3
UUID=1f752527-388b-46d4-bb3b-9c0d9c028ab9
DEVICE=ens3
ONBOOT=yes
~
~
~
~
~
~
"ifcfg-ens3" 17L, 310C written
[root@localhost network-scripts]# ifup ens3
Could not load file '/etc/sysconfig/network-scripts/ifcfg-ens3'
Could not load file '/etc/sysconfig/network-scripts/ifcfg-ens3'

Determining IP information for ens3.../etc/sysconfig/network-scripts/ifup-eth: line 297: 4250 Terminated /sbin/dhclient ${DHCLIENTARGS} ${DEVICE}
failed.
[root@localhost network-scripts]# [ 5472.292139] e1000: ens3 changing MTU from 1500 to 9000
[ 5472.298016] IPv6: ADDRCONF(NETDEV_UP): ens3: link is not ready
[ 5474.296763] e1000: ens3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[ 5474.299234] IPv6: ADDRCONF(NETDEV_CHANGE): ens3: link becomes ready
[ 5481.937009] Adjusting kvm-clock more than 11% (9437184 vs 9311354)

[root@localhost network-scripts]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN
link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
inet 127.0.0.1/8 scope host lo
valid_lft forever preferred_lft forever
inet6 ::1/128 scope host
valid_lft forever preferred_lft forever
2: ens3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 9000 qdisc pfifo_fast state UP qlen 1000
link/ether 00:00:17:02:b4:7a brd ff:ff:ff:ff:ff:ff
inet 172.18.59.64/25 brd 172.18.59.127 scope global dynamic ens3
valid_lft 86385sec preferred_lft 86385sec
inet6 fe80::200:17ff:fe02:b47a/64 scope link
valid_lft forever preferred_lft forever
[root@localhost network-scripts]#
Add a comment...

Post has attachment
How to upload your on premise VMDK image to the cloud to create a new emulated custom image via the oci commandline tool
Photo
Add a comment...

Post has attachment
Terraform Travails.

Found a strange glitch with the latest terraform client installation on my windows 10 laptop.
I installed terraform in the directory d:\rsc\tools and tried placing my terraform plugin in the same directory. As this is an OCi blog entry the plugin in question was of course terraform-provider-oci_v2.0.4.exe. stragely though this allowed terraform init to complete terraform plan was giving an error about not finding the plugin.

terraform providers was working however

D:\rsc\tools>terraform providers
.
└── provider.oci

i upgrade from terraform 10.8 to the latest terraform 11

D:\rsc\tools>terraform version
Terraform v0.10.8

D:\rsc\tools>terraform version
Terraform v0.11.1
+ provider.oci v2.0.4

I was also facing some strange errors trying to invoke terraform console and later after the upgrade even terraform plan.

I found a helpful debug variable ina blog post. If you set TF_LOG=debug then you get a lot of debugging information
Using that I found the location of the terraform.rc file , in my case C:\Users\103977\AppData\Roaming\terraform.rc
I later found that d:\rsc\tools\.terraform\ folder had been created and within it was a plugins_path file and a Plugins folder which held the aws plugin that had been automatically downloaded during init. the contents of that file had a different path than the location of the plugins i.e "C:\\Users\\103977\\terraform.d\\plugins\\windows_amd64" and not

"C:\\Users\\103977\\APPDATA\\Roaming\\terraform.d\\plugins\\windows_amd64" as the documentation says should be. After creating this directory and copying all my third party plugins to this location then terraform plan stopped complaining about the third party plugins but did complain about the automatically downloaded aws plugin. once I copied that there too all the issues were resolved - go figure
Looks like TF_LOG can be set as follows Defaulting to level: TRACE. Valid levels are: [TRACE DEBUG INFO WARN ERROR]


D:\rsc\tools>set TF_LOG=ERROR

D:\rsc\tools>terraform version
2017/12/29 14:03:32 Loading CLI configuration from C:\Users\103977\AppData\Roaming\terraform.rc
Terraform v0.11.1
+ provider.aws v1.6.0
+ provider.oci v2.0.4


D:\rsc\tools>terraform plan
2017/12/29 14:03:55 Loading CLI configuration from C:\Users\103977\AppData\Roaming\terraform.rc
oy:false, PreventDestroy:false, IgnoreChanges:[]string(nil)}}
2017/12/29 14:03:56 [TRACE] Graph after step terraform.AttachResourceConfigTransformer:

aws_instance.web - *terraform.NodeAbstractResource
oci_core_virtual_network.vcn1 - *terraform.NodeAbstractResource
nces: []
er
meta.count-boundary (count boundary fixup) - *terraform.NodeCountBoundary
aws_instance.web - *terraform.NodeAbstractResource
oci_core_virtual_network.vcn1 - *terraform.NodeAbstractResource
provider.aws - *terraform.NodeApplyableProvider
provider.oci - *terraform.NodeApplyableProvider
oci_core_virtual_network.vcn1 - *terraform.NodeAbstractResource
provider.oci - *terraform.NodeApplyableProvider
provider.aws - *terraform.NodeApplyableProvider
provider.aws (close) - *terraform.graphNodeCloseProvider
aws_instance.web - *terraform.NodeAbstractResource
provider.aws - *terraform.NodeApplyableProvider
provider.oci - *terraform.NodeApplyableProvider
provider.oci (close) - *terraform.graphNodeCloseProvider
oci_core_virtual_network.vcn1 - *terraform.NodeAbstractResource
provider.oci - *terraform.NodeApplyableProvider
provisioner.local-exec (close) - *terraform.graphNodeCloseProvisioner
aws_instance.web - *terraform.NodeAbstractResource
root - terraform.graphNodeRoot
meta.count-boundary (count boundary fixup) - *terraform.NodeCountBoundary
provider.aws (close) - *terraform.graphNodeCloseProvider
provider.oci (close) - *terraform.graphNodeCloseProvider
provisioner.local-exec (close) - *terraform.graphNodeCloseProvisioner
provider.aws.region
The region where AWS operations will take place. Examples
are us-east-1, us-west-2, etc.

Default: us-east-1
Enter a value:

) - *terraform.graphNodeCloseProvisioner
Refreshing Terraform state in-memory prior to plan...
The refreshed state will be used to calculate this plan, but will not be
persisted to local or remote state storage.


----------------------------------------------------------------------
2017/12/29 14:04:04 [ERROR] root: eval: *terraform.EvalConfigProvider, err: No valid credential sources found for AWS Provider.
Please see https://terraform.io/docs/providers/aws/index.html for more information on
providing credentials for the AWS Provider
2017/12/29 14:04:04 [ERROR] root: eval: *terraform.EvalSequence, err: No valid credential sources found for AWS Provider.
Please see https://terraform.io/docs/providers/aws/index.html for more information on
providing credentials for the AWS Provider
2017/12/29 14:04:04 [ERROR] root: eval: *terraform.EvalOpFilter, err: No valid credential sources found for AWS Provider.
Please see https://terraform.io/docs/providers/aws/index.html for more information on
providing credentials for the AWS Provider
2017/12/29 14:04:04 [ERROR] root: eval: *terraform.EvalSequence, err: No valid credential sources found for AWS Provider.
Please see https://terraform.io/docs/providers/aws/index.html for more information on
providing credentials for the AWS Provider
2017/12/29 14:04:04 [TRACE] [walkPlan] Exiting eval tree: provider.aws

Error: Error running plan: 1 error(s) occurred:

provider.aws: No valid credential sources found for AWS Provider.
Please see https://terraform.io/docs/providers/aws/index.html for more information on
providing credentials for the AWS Provider
PhotoPhotoPhotoPhotoPhoto
12/29/17
5 Photos - View album
Add a comment...

Post has attachment
Moving an OEL 6.x or 7.x image from On premise to BMCS
Contents

Setup Ipxe Server
Configure BYOI files
Creating Ipxe setup
Future directions


Setup Ipxe Server

Disk /dev/sda: 50.0 GB, 50010783744 bytes
255 heads, 63 sectors/track, 6080 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 33550336 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System
/dev/sda1 1 6081 48838655+ ee GPT
[root@entsol23 ~]# uname -a
Linux entsol23 4.1.12-61.1.28.el6uek.x86_64 #2 SMP Thu Feb 23 20:03:53 PST
2017 x86_64 x86_64 x86_64 GNU/Linux
[root@entsol23 ~]# cd /etc/init.d
[root@entsol23 init.d]# ls
acpid cgconfig cloud-config cloud-init crond halt
iptables iscsi kdump mdmonitor netfs nfs nfs-rdma
rdisc restorecond rpcbind rpcidmapd rsyslog saslauthd sshd
auditd cgred cloud-final cloud-init-local functions ip6tables
irqbalance iscsid killall netconsole network nfslock postfix
rdma rhnsd rpcgssd rpcsvcgssd sandbox single udev-post

[root@entsol23 init.d]# sudo iscsiadm -m node -o new -T
iqn.2015-12.com.oracleiaas:308372b3-91d9-465b-b54b-9f7c4030dffc -p
169.254.2.2:3260
New iSCSI node [tcp:[hw=,ip=,net_if=,iscsi_if=default] 169.254.2.2,3260,-1
iqn.2015-12.com.oracleiaas:308372b3-91d9-465b-b54b-9f7c4030dffc] added
[root@entsol23 init.d]# sudo iscsiadm -m node -o update -T
iqn.2015-12.com.oracleiaas:308372b3-91d9-465b-b54b-9f7c4030dffc -n
node.startup -v automatic
[root@entsol23 init.d]# sudo iscsiadm -m node -T
iqn.2015-12.com.oracleiaas:308372b3-91d9-465b-b54b-9f7c4030dffc -p
169.254.2.2:3260 -l
Logging in to [iface: default, target:
iqn.2015-12.com.oracleiaas:308372b3-91d9-465b-b54b-9f7c4030dffc, portal:
169.254.2.2,3260] (multiple)
Login to [iface: default, target:
iqn.2015-12.com.oracleiaas:308372b3-91d9-465b-b54b-9f7c4030dffc, portal:
169.254.2.2,3260] successful.
[root@entsol23 init.d]# fdisk -l

WARNING: GPT (GUID Partition Table) detected on '/dev/sda'! The util fdisk
doesn't support GPT. Use GNU Parted.


Disk /dev/sda: 50.0 GB, 50010783744 bytes
255 heads, 63 sectors/track, 6080 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 33550336 bytes
Disk identifier: 0x00000000

Device Boot Start End Blocks Id System
/dev/sda1 1 6081 48838655+ ee GPT

Disk /dev/sdb: 322.1 GB, 322122547200 bytes
255 heads, 63 sectors/track, 39162 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes
Disk identifier: 0x00000000

[root@entsol23 init.d]# mkdir /backup
[root@entsol23 init.d]# chown opc /backup
[root@entsol23 init.d]# vi /etc/fstab
[root@entsol23 init.d]# mount /dev/sdb
mount: wrong fs type, bad option, bad superblock on /dev/sdb,
missing codepage or helper program, or other error
In some cases useful info is found in syslog - try
dmesg | tail or so

[root@entsol23 init.d]# mkfs.ext4
mkfs.ext4 mkfs.ext4dev
[root@entsol23 init.d]# mkfs.ext4 /dev/sdb
mke2fs 1.43-WIP (20-Jun-2013)
/dev/sdb is entire device, not just one partition!
Proceed anyway? (y,n) y
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
19660800 inodes, 78643200 blocks
3932160 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=4294967296
2400 block groups
32768 blocks per group, 32768 fragments per group
8192 inodes per group
Superblock backups stored on blocks:
32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632,
2654208,
4096000, 7962624, 11239424, 20480000, 23887872, 71663616

Allocating group tables: done
Writing inode tables: done
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

[root@entsol23 init.d]# mount /dev/sdb
[root@entsol23 init.d]# chown opc /backup
[root@entsol23 init.d]# exit
Add the location to fstab . Images will be stored here prior to uploading.

[opc@entsol23 ~]$ sudo yum install unzip
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
Setting up Install Process
Resolving Dependencies
--> Running transaction check
-> Package unzip.x86_64 0:6.0-5.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
unzip x86_64 6.0-5.el6 public_ol6_latest 152 k

Transaction Summary
================================================================================
Install 1 Package(s)

Total download size: 152 k
Installed size: 324 k
Is this ok [y/N]: y
Downloading Packages:
unzip-6.0-5.el6.x86_64.rpm | 152 kB 00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : unzip-6.0-5.el6.x86_64 1/1
Unable to connect to dbus
Verifying : unzip-6.0-5.el6.x86_64 1/1

Installed:
unzip.x86_64 0:6.0-5.el6

Complete!
[opc@entsol23 ~]$ unzip byoiSupportFiles.zip
Archive: byoiSupportFiles.zip
inflating: byoiSupportFiles/cloud.cfg
inflating: byoiSupportFiles/direct.xml
inflating: byoiSupportFiles/ipxescript
inflating: byoiSupportFiles/ks.cfg
inflating: byoiSupportFiles/repack.sh
[opc@entsol23 ~]$ cd byoiSupportFiles
[opc@entsol23 byoiSupportFiles]$ ls
cloud.cfg direct.xml ipxescript ks.cfg repack.sh
[opc@entsol23 byoiSupportFiles]$ yum install httpd
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
You need to be root to perform this command.
[opc@entsol23 byoiSupportFiles]$ sudo yum install httpd
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
Setting up Install Process
Package httpd-2.2.15-59.0.1.el6.x86_64 already installed and latest version
Nothing to do
[opc@entsol23 byoiSupportFiles]$ cd /etc/httpd/
[opc@entsol23 httpd]$ dir
conf conf.d logs modules run
[opc@entsol23 httpd]$ cd conf
[opc@entsol23 conf]$ dir
httpd.conf magic
[opc@entsol23 conf]$ vi httpd.conf
[opc@entsol23 conf]$ service httpd status
httpd status unknown due to insufficient privileges.
[opc@entsol23 conf]$ sudo service httpd status
httpd is stopped
[opc@entsol23 conf]$ sudo service httpd start
Starting httpd: httpd: Could not reliably determine the server's fully qualified domain name, using 172.18.59.23 for ServerName
[ OK ]
[opc@entsol23 conf]$ cd
[opc@entsol23 ~]$ ls
Configure BYOI files

byoiSupportFiles byoiSupportFiles.zip nohup.out
[opc@entsol23 ~]$ cd byoiSupportFiles
[opc@entsol23 byoiSupportFiles]$ ls
cloud.cfg direct.xml ipxescript ks.cfg repack.sh
[opc@entsol23 byoiSupportFiles]$ cp ipxescript ipxescript_tcs
[opc@entsol23 byoiSupportFiles]$ vi ipxescript_tcs
[opc@entsol23 byoiSupportFiles]$ cat ipxescript_tcs
#!ipxe
set keep-san 1
set target-iqn iqn.2015-02.oracle.boot:uefi
set root-path iscsi:169.254.0.2::::${target-iqn}
sanhook ${root-path} || echo could not attach ${root-path}
set uefi-filename \EFI\centos\grubx64.efi

#CHANGE IP BELOW TO PXE BOOT SERVER IP
sanboot || set url http://172.18.59.23

kernel ${url}/CentOS7/images/pxeboot/vmlinuz initrd=initrd.img vmlinuxconsole=tt y0 console=ttyS0,9600 netroot=iscsi:@169.254.0.2::::iqn.2015-02.oracle.boot:uefi iscsi_initiator=iqn.2015-02.oracle.boot:instance ip=dhcp ks=http://<IP>/CentOS7 /addons/ks.cfg
initrd ${url}/CentOS7/images/pxeboot/initrd.img
boot
[opc@entsol23 byoiSupportFiles]$ vi ipxescript_tcs
[opc@entsol23 byoiSupportFiles]$ ls
cloud.cfg direct.xml ipxescript ipxescript_tcs ks.cfg repack.sh
[opc@entsol23 byoiSupportFiles]$ cp cloud.cfg /var/www/html/tcs1/addons/
[opc@entsol23 byoiSupportFiles]$ mkdir -p /var/www/html/tcs1/extras/
[opc@entsol23 byoiSupportFiles]$ cp direct.xml /var/www/html/tcs1/extras/
[opc@entsol23 byoiSupportFiles]$ ls
cloud.cfg direct.xml ipxescript ipxescript_tcs ks.cfg repack.sh
[opc@entsol23 byoiSupportFiles]$ cd /var/www/html
[opc@entsol23 html]$ ls
tcs1
[opc@entsol23 html]$ cd cs1
-bash: cd: cs1: No such file or directory
[opc@entsol23 html]$ cd tcs1
[opc@entsol23 tcs1]$ ls
addons extras images
[opc@entsol23 tcs1]$ cd images
[opc@entsol23 images]$ ls
pxeboot
[opc@entsol23 images]$ cd pxeboot
[opc@entsol23 pxeboot]$ ls
[opc@entsol23 pxeboot]$ cd ..
[opc@entsol23 images]$ ls
pxeboot
[opc@entsol23 images]$ cd ..
[opc@entsol23 tcs1]$ ls
addons extras images
[opc@entsol23 tcs1]$ cd addons/
[opc@entsol23 addons]$ ls
cloud.cfg ks.cfg repack repack_tcs1.sh
[opc@entsol23 addons]$ ls -l
total 16
rw-rw-r-. 1 opc opc 1322 Jun 2 08:09 cloud.cfg
rw-rw-r-. 1 opc opc 3308 Jun 2 08:10 ks.cfg
drwxr-xr-x. 4 opc opc 4096 Jun 2 08:29 repack
rwxr--r-. 1 opc opc 2825 Jun 2 08:25 repack_tcs1.sh
[opc@entsol23 addons]$ ./repack_tcs1.sh
#!/bin/bash -v

# Kernel that's provided for pxeboot has a bug that prevents it from loading whe n using iPXE on UEFI systems
# Bug Fix: http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/c ommit/?id=819ab9941c98f18b0f8c7ffb815e4f07186d2a5f
# The fix is available in newer kernels. So, we'll download a new elrepo kernel
# and repack the initrd, based on instructions at the link below.
# source: http://forum.ipxe.org/showthread.php?tid=7813&pid=12480#pid12480
# This is not robust by any means and just a quick/dirty way that demonstrates w hat is required

while getopts "i:" OPT; do
case $OPT in
i) INITRD_PATH=$OPTARG;;
*) exit 1;;
esac
done
echo "Working..."
Working...
# make folder where we'll unpack and repack
mkdir -p repack
cd repack
# create folders to unpack kernel and initrd
mkdir -p kernel initrd

ELREPO="http://elrepo.org/linux/kernel/el7/x86_64/RPMS/"
KERNEL_FILE=`curl s ${ELREPO} | egrep -o ">kernel-ml[0-9].*rpm" | tail -1`
curl s ${ELREPO} | egrep -o ">kernel-ml[0-9].*rpm" | tail -1
KERNEL_FILE=${KERNEL_FILE:1}
KERNEL_VERSION=${KERNEL_FILE:10}
KERNEL_VERSION=${KERNEL_VERSION%.rpm}
OLD_KERNEL_VERSION=`lsinitrd ${INITRD_PATH} | egrep -o "modules/[^/]*/kernel$"`
lsinitrd ${INITRD_PATH} | egrep -o "modules/[^/]*/kernel$"
/sbin/lsinitrd: line 98: /boot/initramfs-4.1.12-61.1.28.el6uek.x86_64.img: Permi ssion denied
xzcat: /boot/initramfs-4.1.12-61.1.28.el6uek.x86_64.img: Permission denied
xzcat: /boot/initramfs-4.1.12-61.1.28.el6uek.x86_64.img: Permission denied
cpio: premature end of archive
OLD_KERNEL_VERSION=${OLD_KERNEL_VERSION:8}
OLD_KERNEL_VERSION=${OLD_KERNEL_VERSION%/kernel}
echo "Old kernel version: ${OLD_KERNEL_VERSION}"
Old kernel version:
echo "New kernel version: ${KERNEL_VERSION}"
New kernel version: 4.11.3-1.el7.elrepo.x86_64
echo "Downloading ${KERNEL_FILE} from ${ELREPO} ..."
Downloading kernel-ml-4.11.3-1.el7.elrepo.x86_64.rpm from http://elrepo.org/linu x/kernel/el7/x86_64/RPMS/ ...
curl -s -O http://elrepo.org/linux/kernel/el7/x86_64/RPMS/${KERNEL_FILE}

# unpack kernel
(cd kernel && rpm2cpio ../${KERNEL_FILE}| cpio -idum)
338405 blocks

# unpack initrd and delete old modules
(cd initrd && xzcat "$INITRD_PATH" | cpio -idum)
xzcat: Empty filename, skipping
cpio: premature end of archive
rm -fr initrd/lib/modules/${OLD_KERNEL_VERSION}

# copy modules from new kernel
rsync -a kernel/lib/modules/${KERNEL_VERSION} initrd/lib/modules
rsync: mkdir "/var/www/html/tcs1/addons/repack/initrd/lib/modules" failed: No su ch file or directory (2)
rsync error: error in file IO (code 11) at main.c(576) [receiver=3.0.6]
rsync: connection unexpectedly closed (9 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(600) [sender= 3.0.6]
# build dependency information
depmod -a -b initrd ${KERNEL_VERSION}
WARNING: Couldn't open directory initrd/lib/modules/4.11.3-1.el7.elrepo.x86_64: No such file or directory
FATAL: Could not open initrd/lib/modules/4.11.3-1.el7.elrepo.x86_64/modules.dep. temp for writing: No such file or directory

# Refer notes at "source" link listed above
mkdir -p initrd/etc/modules-load.d
echo "loop" > initrd/etc/modules-load.d/loop.conf
echo -e "libcrc32c\nxfs" > initrd/etc/modules-load.d/xfs.conf
echo -e "fat\nvfat" > initrd/etc/modules-load.d/fat.conf

# requires lzma package
(cd initrd && find . | cpio -create --format='newc' | lzma > ../initrd${KERNEL _VERSION}.img)
2 blocks
cp kernel/boot/vmlinuz-${KERNEL_VERSION} .

echo "Success!! initrd and the kernel have been built."
Success!! initrd and the kernel have been built.
echo "Backing up original initrd and vmlinuz."
Backing up original initrd and vmlinuz.
(mv /var/www/html/tcs1/images/pxeboot/initrd.img /var/www/html/tcs1/images/pxebo ot/initrd.img.bak)
(mv /var/www/html/tcs1/images/pxeboot/vmlinuz /var/www/html/tcs1/images/pxeboot/ vmlinuz.bak)
echo "Copying to new files .../pxeboot/..."
Copying to new files .../pxeboot/...
(cp /var/www/html/tcs1/addons/repack/vmlinuz-${KERNEL_VERSION} /var/www/html/tcs 1/images/pxeboot/vmlinuz)
(cp /var/www/html/tcs1/addons/repack/initrd-${KERNEL_VERSION}.img /var/www/html/ tcs1/images/pxeboot/initrd.img)
echo "Done!"
Done!
[opc@entsol23 addons]$ ls -l/var/www/html/tcs1/images/pxeboot/initrd.img
ls: invalid option -- '/'
Try `ls --help' for more information.
[opc@entsol23 addons]$ ls -l /var/www/html/tcs1/images/pxeboot/initrd.img
rw-r--r-. 1 opc opc 212 Jun 2 08:31 /var/www/html/tcs1/images/pxeboot/initrd. img
[opc@entsol23 addons]$ ls -l /var/www/html/tcs1/images/pxeboot/*
rw-r--r-. 1 opc opc 212 Jun 2 08:31 /var/www/html/tcs1/images/pxeboot/initrd.img
rw-r--r-. 1 root root 204 Jun 2 08:29 /var/www/html/tcs1/images/pxeboot/initrd.img.bak
-rwxr-xr-x. 1 opc opc 6292592 Jun 2 08:31 /var/www/html/tcs1/images/pxeboot/vmlinuz
-rwxr-xr-x. 1 root root 6292592 Jun 2 08:29 /var/www/html/tcs1/images/pxeboot/vmlinuz.bak
[opc@entsol23 addons]$ ls
cloud.cfg ks.cfg repack repack_tcs1.sh
[opc@entsol23 addons]$ rm -rf repack
[opc@entsol23 addons]$ ./repack_tcs1.sh
#!/bin/bash -v

# Kernel that's provided for pxeboot has a bug that prevents it from loading whe n using iPXE on UEFI systems
# Bug Fix: http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/c ommit/?id=819ab9941c98f18b0f8c7ffb815e4f07186d2a5f
# The fix is available in newer kernels. So, we'll download a new elrepo kernel
# and repack the initrd, based on instructions at the link below.
# source: http://forum.ipxe.org/showthread.php?tid=7813&pid=12480#pid12480
# This is not robust by any means and just a quick/dirty way that demonstrates w hat is required

while getopts "i:" OPT; do
case $OPT in
i) INITRD_PATH=$OPTARG;;
*) exit 1;;
esac
done
echo "Working..."
Working...
# make folder where we'll unpack and repack
mkdir -p repack
cd repack
# create folders to unpack kernel and initrd
mkdir -p kernel initrd

ELREPO="http://elrepo.org/linux/kernel/el7/x86_64/RPMS/"
KERNEL_FILE=`curl s ${ELREPO} | egrep -o ">kernel-ml[0-9].*rpm" | tail -1`
curl s ${ELREPO} | egrep -o ">kernel-ml[0-9].*rpm" | tail -1
KERNEL_FILE=${KERNEL_FILE:1}
KERNEL_VERSION=${KERNEL_FILE:10}
KERNEL_VERSION=${KERNEL_VERSION%.rpm}
OLD_KERNEL_VERSION=`lsinitrd ${INITRD_PATH} | egrep -o "modules/[^/]*/kernel$"`
lsinitrd ${INITRD_PATH} | egrep -o "modules/[^/]*/kernel$"
/sbin/lsinitrd: line 98: /boot/initramfs-4.1.12-61.1.28.el6uek.x86_64.img: Permi ssion denied
xzcat: /boot/initramfs-4.1.12-61.1.28.el6uek.x86_64.img: Permission denied
xzcat: /boot/initramfs-4.1.12-61.1.28.el6uek.x86_64.img: Permission denied
cpio: premature end of archive
OLD_KERNEL_VERSION=${OLD_KERNEL_VERSION:8}
OLD_KERNEL_VERSION=${OLD_KERNEL_VERSION%/kernel}
echo "Old kernel version: ${OLD_KERNEL_VERSION}"
Old kernel version:
echo "New kernel version: ${KERNEL_VERSION}"
New kernel version: 4.11.3-1.el7.elrepo.x86_64
echo "Downloading ${KERNEL_FILE} from ${ELREPO} ..."
Downloading kernel-ml-4.11.3-1.el7.elrepo.x86_64.rpm from http://elrepo.org/linu x/kernel/el7/x86_64/RPMS/ ...
curl -s -O http://elrepo.org/linux/kernel/el7/x86_64/RPMS/${KERNEL_FILE}

# unpack kernel
(cd kernel && rpm2cpio ../${KERNEL_FILE}| cpio -idum)
338405 blocks

# unpack initrd and delete old modules
(cd initrd && xzcat "$INITRD_PATH" | cpio -idum)
xzcat: Empty filename, skipping
cpio: premature end of archive
rm -fr initrd/lib/modules/${OLD_KERNEL_VERSION}

# copy modules from new kernel
rsync -a kernel/lib/modules/${KERNEL_VERSION} initrd/lib/modules
rsync: mkdir "/var/www/html/tcs1/addons/repack/initrd/lib/modules" failed: No su ch file or directory (2)
rsync error: error in file IO (code 11) at main.c(576) [receiver=3.0.6]
rsync: connection unexpectedly closed (9 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(600) [sender= 3.0.6]
# build dependency information
depmod -a -b initrd ${KERNEL_VERSION}
WARNING: Couldn't open directory initrd/lib/modules/4.11.3-1.el7.elrepo.x86_64: No such file or directory
FATAL: Could not open initrd/lib/modules/4.11.3-1.el7.elrepo.x86_64/modules.dep. temp for writing: No such file or directory

# Refer notes at "source" link listed above
mkdir -p initrd/etc/modules-load.d
echo "loop" > initrd/etc/modules-load.d/loop.conf
echo -e "libcrc32c\nxfs" > initrd/etc/modules-load.d/xfs.conf
echo -e "fat\nvfat" > initrd/etc/modules-load.d/fat.conf

# requires lzma package
(cd initrd && find . | cpio -create --format='newc' | lzma > ../initrd${KERNEL _VERSION}.img)
2 blocks
cp kernel/boot/vmlinuz-${KERNEL_VERSION} .

echo "Success!! initrd and the kernel have been built."
Success!! initrd and the kernel have been built.
echo "Backing up original initrd and vmlinuz."
Backing up original initrd and vmlinuz.
(mv /var/www/html/tcs1/images/pxeboot/initrd.img /var/www/html/tcs1/images/pxebo ot/initrd.img.bak)
(mv /var/www/html/tcs1/images/pxeboot/vmlinuz /var/www/html/tcs1/images/pxeboot/ vmlinuz.bak)
mv: try to overwrite `/var/www/html/tcs1/images/pxeboot/vmlinuz.bak', overriding mode 0755 (rwxr-xr-x)? y
echo "Copying to new files .../pxeboot/..."
Copying to new files .../pxeboot/...
(cp /var/www/html/tcs1/addons/repack/vmlinuz-${KERNEL_VERSION} /var/www/html/tcs 1/images/pxeboot/vmlinuz)
(cp /var/www/html/tcs1/addons/repack/initrd-${KERNEL_VERSION}.img /var/www/html/ tcs1/images/pxeboot/initrd.img)
echo "Done!"
Done!
[opc@entsol23 addons]$
Using username "opc".
Authenticating with public key "cloud" from agent
[opc@entsol23 ~]$ sudo yum -y install httpd rsync lzma gcc libffi-devel python-d evel openssl-devel unzip
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
Setting up Install Process
Package httpd-2.2.15-59.0.1.el6.x86_64 already installed and latest version
Package rsync-3.0.6-12.el6.x86_64 already installed and latest version
Package xz-lzma-compat-4.999.9-0.5.beta.20091007git.el6.x86_64 already installed and latest version
Package python-devel-2.6.6-66.0.1.el6_8.x86_64 already installed and latest vers ion
Package unzip-6.0-5.el6.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
-> Package gcc.x86_64 0:4.4.7-18.el6 will be installed
--> Processing Dependency: cpp = 4.4.7-18.el6 for package: gcc-4.4.7-18.el6.x86_ 64
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.4.7-18.el6.x86_6 4
--> Processing Dependency: libgcc >= 4.4.7-18.el6 for package: gcc-4.4.7-18.el6. x86_64
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.4.7-18.el 6.x86_64
-> Package libffi-devel.x86_64 0:3.0.5-3.2.el6 will be installed
-> Package openssl-devel.x86_64 0:1.0.1e-57.el6 will be installed
--> Processing Dependency: openssl = 1.0.1e-57.el6 for package: openssl-devel-1. 0.1e-57.el6.x86_64
--> Processing Dependency: krb5-devel for package: openssl-devel-1.0.1e-57.el6.x 86_64
--> Running transaction check
-> Package cloog-ppl.x86_64 0:0.15.7-1.2.el6 will be installed
--> Processing Dependency: libppl_c.so.2()(64bit) for package: cloog-ppl-0.15.7- 1.2.el6.x86_64
--> Processing Dependency: libppl.so.7()(64bit) for package: cloog-ppl-0.15.7-1. 2.el6.x86_64
-> Package cpp.x86_64 0:4.4.7-18.el6 will be installed
--> Processing Dependency: libmpfr.so.1()(64bit) for package: cpp-4.4.7-18.el6.x 86_64
-> Package glibc-devel.x86_64 0:2.12-1.209.0.3.el6_9.1 will be installed
--> Processing Dependency: glibc = 2.12-1.209.0.3.el6_9.1 for package: glibc-dev el-2.12-1.209.0.3.el6_9.1.x86_64
--> Processing Dependency: glibc-headers = 2.12-1.209.0.3.el6_9.1 for package: g libc-devel-2.12-1.209.0.3.el6_9.1.x86_64
--> Processing Dependency: glibc-headers for package: glibc-devel-2.12-1.209.0.3 .el6_9.1.x86_64
-> Package krb5-devel.x86_64 0:1.10.3-65.el6 will be installed
--> Processing Dependency: libkadm5(x86-64) = 1.10.3-65.el6 for package: krb5-de vel-1.10.3-65.el6.x86_64
--> Processing Dependency: krb5-libs = 1.10.3-65.el6 for package: krb5-devel-1.1 0.3-65.el6.x86_64
--> Processing Dependency: keyutils-libs-devel for package: krb5-devel-1.10.3-65 .el6.x86_64
--> Processing Dependency: libselinux-devel for package: krb5-devel-1.10.3-65.el 6.x86_64
--> Processing Dependency: libcom_err-devel for package: krb5-devel-1.10.3-65.el 6.x86_64
-> Package libgcc.x86_64 0:4.4.7-17.el6 will be updated
-> Package libgcc.x86_64 0:4.4.7-18.el6 will be an update
-> Package openssl.x86_64 0:1.0.1e-48.el6_8.4 will be updated
-> Package openssl.x86_64 0:1.0.1e-57.el6 will be an update
--> Running transaction check
-> Package glibc.x86_64 0:2.12-1.192.el6 will be updated
--> Processing Dependency: glibc = 2.12-1.192.el6 for package: glibc-common-2.12 -1.192.el6.x86_64
-> Package glibc.x86_64 0:2.12-1.209.0.3.el6_9.1 will be an update
-> Package glibc-headers.x86_64 0:2.12-1.209.0.3.el6_9.1 will be installed
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2. 12-1.209.0.3.el6_9.1.x86_64
--> Processing Dependency: kernel-headers for package: glibc-headers-2.12-1.209. 0.3.el6_9.1.x86_64
-> Package keyutils-libs-devel.x86_64 0:1.4-5.0.1.el6 will be installed
-> Package krb5-libs.x86_64 0:1.10.3-57.el6 will be updated
-> Package krb5-libs.x86_64 0:1.10.3-65.el6 will be an update
-> Package libcom_err-devel.x86_64 0:1.42.8-1.0.3.el6 will be installed
--> Processing Dependency: libcom_err = 1.42.8-1.0.3.el6 for package: libcom_err -devel-1.42.8-1.0.3.el6.x86_64
-> Package libkadm5.x86_64 0:1.10.3-65.el6 will be installed
-> Package libselinux-devel.x86_64 0:2.0.94-7.el6 will be installed
--> Processing Dependency: libsepol-devel >= 2.0.32-1 for package: libselinux-de vel-2.0.94-7.el6.x86_64
--> Processing Dependency: pkgconfig(libsepol) for package: libselinux-devel-2.0 .94-7.el6.x86_64
-> Package mpfr.x86_64 0:2.4.1-6.el6 will be installed
-> Package ppl.x86_64 0:0.10.2-11.el6 will be installed
--> Running transaction check
-> Package glibc-common.x86_64 0:2.12-1.192.el6 will be updated
-> Package glibc-common.x86_64 0:2.12-1.209.0.3.el6_9.1 will be an update
-> Package kernel-headers.x86_64 0:2.6.32-696.3.1.el6 will be installed
-> Package libcom_err.x86_64 0:1.42.8-1.0.2.el6 will be updated
--> Processing Dependency: libcom_err = 1.42.8-1.0.2.el6 for package: e2fsprogs- libs-1.42.8-1.0.2.el6.x86_64
--> Processing Dependency: libcom_err = 1.42.8-1.0.2.el6 for package: e2fsprogs- 1.42.8-1.0.2.el6.x86_64
--> Processing Dependency: libcom_err = 1.42.8-1.0.2.el6 for package: libss-1.42 .8-1.0.2.el6.x86_64
-> Package libcom_err.x86_64 0:1.42.8-1.0.3.el6 will be an update
-> Package libsepol-devel.x86_64 0:2.0.41-4.el6 will be installed
--> Running transaction check
-> Package e2fsprogs.x86_64 0:1.42.8-1.0.2.el6 will be updated
-> Package e2fsprogs.x86_64 0:1.42.8-1.0.3.el6 will be an update
-> Package e2fsprogs-libs.x86_64 0:1.42.8-1.0.2.el6 will be updated
-> Package e2fsprogs-libs.x86_64 0:1.42.8-1.0.3.el6 will be an update
-> Package libss.x86_64 0:1.42.8-1.0.2.el6 will be updated
-> Package libss.x86_64 0:1.42.8-1.0.3.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
gcc x86_64 4.4.7-18.el6 public_ol6_latest 10 M
libffi-devel x86_64 3.0.5-3.2.el6 public_ol6_latest 17 k
openssl-devel x86_64 1.0.1e-57.el6 public_ol6_latest 1.2 M
Installing for dependencies:
cloog-ppl x86_64 0.15.7-1.2.el6 public_ol6_latest 93 k
cpp x86_64 4.4.7-18.el6 public_ol6_latest 3.7 M
glibc-devel x86_64 2.12-1.209.0.3.el6_9.1 public_ol6_latest 990 k
glibc-headers x86_64 2.12-1.209.0.3.el6_9.1 public_ol6_latest 619 k
kernel-headers x86_64 2.6.32-696.3.1.el6 public_ol6_latest 4.5 M
keyutils-libs-devel x86_64 1.4-5.0.1.el6 public_ol6_latest 28 k
krb5-devel x86_64 1.10.3-65.el6 public_ol6_latest 503 k
libcom_err-devel x86_64 1.42.8-1.0.3.el6 public_ol6_latest 33 k
libkadm5 x86_64 1.10.3-65.el6 public_ol6_latest 143 k
libselinux-devel x86_64 2.0.94-7.el6 public_ol6_latest 136 k
libsepol-devel x86_64 2.0.41-4.el6 public_ol6_latest 63 k
mpfr x86_64 2.4.1-6.el6 public_ol6_latest 156 k
ppl x86_64 0.10.2-11.el6 public_ol6_latest 1.3 M
Updating for dependencies:
e2fsprogs x86_64 1.42.8-1.0.3.el6 public_ol6_latest 661 k
e2fsprogs-libs x86_64 1.42.8-1.0.3.el6 public_ol6_latest 160 k
glibc x86_64 2.12-1.209.0.3.el6_9.1 public_ol6_latest 3.8 M
glibc-common x86_64 2.12-1.209.0.3.el6_9.1 public_ol6_latest 14 M
krb5-libs x86_64 1.10.3-65.el6 public_ol6_latest 674 k
libcom_err x86_64 1.42.8-1.0.3.el6 public_ol6_latest 37 k
libgcc x86_64 4.4.7-18.el6 public_ol6_latest 103 k
libss x86_64 1.42.8-1.0.3.el6 public_ol6_latest 42 k
openssl x86_64 1.0.1e-57.el6 public_ol6_latest 1.5 M

Transaction Summary
================================================================================
Install 16 Package(s)
Upgrade 9 Package(s)

Total download size: 45 M
Downloading Packages:
(1/25): cloog-ppl-0.15.7-1.2.el6.x86_64.rpm | 93 kB 00:00
(2/25): cpp-4.4.7-18.el6.x86_64.rpm | 3.7 MB 00:00
(3/25): e2fsprogs-1.42.8-1.0.3.el6.x86_64.rpm | 661 kB 00:00
(4/25): e2fsprogs-libs-1.42.8-1.0.3.el6.x86_64.rpm | 160 kB 00:00
(5/25): gcc-4.4.7-18.el6.x86_64.rpm | 10 MB 00:00
(6/25): glibc-2.12-1.209.0.3.el6_9.1.x86_64.rpm | 3.8 MB 00:00
(7/25): glibc-common-2.12-1.209.0.3.el6_9.1.x86_64.rpm | 14 MB 00:00
(8/25): glibc-devel-2.12-1.209.0.3.el6_9.1.x86_64.rpm | 990 kB 00:00
(9/25): glibc-headers-2.12-1.209.0.3.el6_9.1.x86_64.rpm | 619 kB 00:00
(10/25): kernel-headers-2.6.32-696.3.1.el6.x86_64.rpm | 4.5 MB 00:00
(11/25): keyutils-libs-devel-1.4-5.0.1.el6.x86_64.rpm | 28 kB 00:00
(12/25): krb5-devel-1.10.3-65.el6.x86_64.rpm | 503 kB 00:00
(13/25): krb5-libs-1.10.3-65.el6.x86_64.rpm | 674 kB 00:00
(14/25): libcom_err-1.42.8-1.0.3.el6.x86_64.rpm | 37 kB 00:00
(15/25): libcom_err-devel-1.42.8-1.0.3.el6.x86_64.rpm | 33 kB 00:00
(16/25): libffi-devel-3.0.5-3.2.el6.x86_64.rpm | 17 kB 00:00
(17/25): libgcc-4.4.7-18.el6.x86_64.rpm | 103 kB 00:00
(18/25): libkadm5-1.10.3-65.el6.x86_64.rpm | 143 kB 00:00
(19/25): libselinux-devel-2.0.94-7.el6.x86_64.rpm | 136 kB 00:00
(20/25): libsepol-devel-2.0.41-4.el6.x86_64.rpm | 63 kB 00:00
(21/25): libss-1.42.8-1.0.3.el6.x86_64.rpm | 42 kB 00:00
(22/25): mpfr-2.4.1-6.el6.x86_64.rpm | 156 kB 00:00
(23/25): openssl-1.0.1e-57.el6.x86_64.rpm | 1.5 MB 00:00
(24/25): openssl-devel-1.0.1e-57.el6.x86_64.rpm | 1.2 MB 00:00
(25/25): ppl-0.10.2-11.el6.x86_64.rpm | 1.3 MB 00:00
--------------------------------------------------------------------------------
Total 12 MB/s | 45 MB 00:03
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : libgcc-4.4.7-18.el6.x86_64 1/34
Updating : glibc-2.12-1.209.0.3.el6_9.1.x86_64 2/34
Updating : glibc-common-2.12-1.209.0.3.el6_9.1.x86_64 3/34
Updating : libcom_err-1.42.8-1.0.3.el6.x86_64 4/34
Updating : krb5-libs-1.10.3-65.el6.x86_64 5/34
Updating : openssl-1.0.1e-57.el6.x86_64 6/34
Installing : libkadm5-1.10.3-65.el6.x86_64 7/34
Updating : libss-1.42.8-1.0.3.el6.x86_64 8/34
Installing : libcom_err-devel-1.42.8-1.0.3.el6.x86_64 9/34
Updating : e2fsprogs-libs-1.42.8-1.0.3.el6.x86_64 10/34
Installing : mpfr-2.4.1-6.el6.x86_64 11/34
Installing : cpp-4.4.7-18.el6.x86_64 12/34
Installing : ppl-0.10.2-11.el6.x86_64 13/34
Installing : cloog-ppl-0.15.7-1.2.el6.x86_64 14/34
Installing : libsepol-devel-2.0.41-4.el6.x86_64 15/34
Installing : libselinux-devel-2.0.94-7.el6.x86_64 16/34
Installing : keyutils-libs-devel-1.4-5.0.1.el6.x86_64 17/34
Installing : krb5-devel-1.10.3-65.el6.x86_64 18/34
Installing : kernel-headers-2.6.32-696.3.1.el6.x86_64 19/34
Installing : glibc-headers-2.12-1.209.0.3.el6_9.1.x86_64 20/34
Installing : glibc-devel-2.12-1.209.0.3.el6_9.1.x86_64 21/34
Installing : gcc-4.4.7-18.el6.x86_64 22/34
Installing : openssl-devel-1.0.1e-57.el6.x86_64 23/34
Updating : e2fsprogs-1.42.8-1.0.3.el6.x86_64 24/34
Installing : libffi-devel-3.0.5-3.2.el6.x86_64 25/34
Cleanup : e2fsprogs-1.42.8-1.0.2.el6.x86_64 26/34
Cleanup : openssl-1.0.1e-48.el6_8.4.x86_64 27/34
Cleanup : krb5-libs-1.10.3-57.el6.x86_64 28/34
Cleanup : e2fsprogs-libs-1.42.8-1.0.2.el6.x86_64 29/34
Cleanup : libss-1.42.8-1.0.2.el6.x86_64 30/34
Cleanup : libcom_err-1.42.8-1.0.2.el6.x86_64 31/34
Cleanup : glibc-common-2.12-1.192.el6.x86_64 32/34
Cleanup : glibc-2.12-1.192.el6.x86_64 33/34
Cleanup : libgcc-4.4.7-17.el6.x86_64 34/34
Unable to connect to dbus
Verifying : krb5-devel-1.10.3-65.el6.x86_64 1/34
Verifying : libffi-devel-3.0.5-3.2.el6.x86_64 2/34
Verifying : glibc-headers-2.12-1.209.0.3.el6_9.1.x86_64 3/34
Verifying : kernel-headers-2.6.32-696.3.1.el6.x86_64 4/34
Verifying : libcom_err-1.42.8-1.0.3.el6.x86_64 5/34
Verifying : krb5-libs-1.10.3-65.el6.x86_64 6/34
Verifying : openssl-devel-1.0.1e-57.el6.x86_64 7/34
Verifying : mpfr-2.4.1-6.el6.x86_64 8/34
Verifying : gcc-4.4.7-18.el6.x86_64 9/34
Verifying : cloog-ppl-0.15.7-1.2.el6.x86_64 10/34
Verifying : glibc-common-2.12-1.209.0.3.el6_9.1.x86_64 11/34
Verifying : keyutils-libs-devel-1.4-5.0.1.el6.x86_64 12/34
Verifying : glibc-devel-2.12-1.209.0.3.el6_9.1.x86_64 13/34
Verifying : libss-1.42.8-1.0.3.el6.x86_64 14/34
Verifying : cpp-4.4.7-18.el6.x86_64 15/34
Verifying : e2fsprogs-1.42.8-1.0.3.el6.x86_64 16/34
Verifying : libgcc-4.4.7-18.el6.x86_64 17/34
Verifying : libcom_err-devel-1.42.8-1.0.3.el6.x86_64 18/34
Verifying : ppl-0.10.2-11.el6.x86_64 19/34
Verifying : libsepol-devel-2.0.41-4.el6.x86_64 20/34
Verifying : glibc-2.12-1.209.0.3.el6_9.1.x86_64 21/34
Verifying : openssl-1.0.1e-57.el6.x86_64 22/34
Verifying : libkadm5-1.10.3-65.el6.x86_64 23/34
Verifying : libselinux-devel-2.0.94-7.el6.x86_64 24/34
Verifying : e2fsprogs-libs-1.42.8-1.0.3.el6.x86_64 25/34
Verifying : glibc-2.12-1.192.el6.x86_64 26/34
Verifying : e2fsprogs-1.42.8-1.0.2.el6.x86_64 27/34
Verifying : libcom_err-1.42.8-1.0.2.el6.x86_64 28/34
Verifying : glibc-common-2.12-1.192.el6.x86_64 29/34
Verifying : e2fsprogs-libs-1.42.8-1.0.2.el6.x86_64 30/34
Verifying : libgcc-4.4.7-17.el6.x86_64 31/34
Verifying : openssl-1.0.1e-48.el6_8.4.x86_64 32/34
Verifying : libss-1.42.8-1.0.2.el6.x86_64 33/34
Verifying : krb5-libs-1.10.3-57.el6.x86_64 34/34

Installed:
gcc.x86_64 0:4.4.7-18.el6 libffi-devel.x86_64 0:3.0.5-3.2.el6
openssl-devel.x86_64 0:1.0.1e-57.el6

Dependency Installed:
cloog-ppl.x86_64 0:0.15.7-1.2.el6
cpp.x86_64 0:4.4.7-18.el6
glibc-devel.x86_64 0:2.12-1.209.0.3.el6_9.1
glibc-headers.x86_64 0:2.12-1.209.0.3.el6_9.1
kernel-headers.x86_64 0:2.6.32-696.3.1.el6
keyutils-libs-devel.x86_64 0:1.4-5.0.1.el6
krb5-devel.x86_64 0:1.10.3-65.el6
libcom_err-devel.x86_64 0:1.42.8-1.0.3.el6
libkadm5.x86_64 0:1.10.3-65.el6
libselinux-devel.x86_64 0:2.0.94-7.el6
libsepol-devel.x86_64 0:2.0.41-4.el6
mpfr.x86_64 0:2.4.1-6.el6
ppl.x86_64 0:0.10.2-11.el6

Dependency Updated:
e2fsprogs.x86_64 0:1.42.8-1.0.3.el6
e2fsprogs-libs.x86_64 0:1.42.8-1.0.3.el6
glibc.x86_64 0:2.12-1.209.0.3.el6_9.1
glibc-common.x86_64 0:2.12-1.209.0.3.el6_9.1
krb5-libs.x86_64 0:1.10.3-65.el6
libcom_err.x86_64 0:1.42.8-1.0.3.el6
libgcc.x86_64 0:4.4.7-18.el6
libss.x86_64 0:1.42.8-1.0.3.el6
openssl.x86_64 0:1.0.1e-57.el6

Complete!
[opc@entsol23 ~]$ sudo easy_install pip
Searching for pip
Reading http://pypi.python.org/simple/pip/
Best match: pip 9.0.1
Downloading https://pypi.python.org/packages/11/b6/abcb525026a4be042b486df43905d 6893fb04f05aac21c32c638e939e447/pip-9.0.1.tar.gz#md5=35f01da33009719497f01a4ba69 d63c9
Processing pip-9.0.1.tar.gz
Running pip-9.0.1/setup.py q bdist_egg --dist-dir /tmp/easy_install-trjOSu/pip 9.0.1/egg-dist-tmp-dvFUsF
/usr/lib64/python2.6/distutils/dist.py:266: UserWarning: Unknown distribution op tion: 'python_requires'
warnings.warn(msg)
warning: no previously-included files found matching '.coveragerc'
warning: no previously-included files found matching '.mailmap'
warning: no previously-included files found matching '.travis.yml'
warning: no previously-included files found matching '.landscape.yml'
warning: no previously-included files found matching 'pip/_vendor/Makefile'
warning: no previously-included files found matching 'tox.ini'
warning: no previously-included files found matching 'dev-requirements.txt'
warning: no previously-included files found matching 'appveyor.yml'
no previously-included directories found matching '.github'
no previously-included directories found matching '.travis'
no previously-included directories found matching 'docs/_build'
no previously-included directories found matching 'contrib'
no previously-included directories found matching 'tasks'
no previously-included directories found matching 'tests'
Adding pip 9.0.1 to easy-install.pth file
Installing pip script to /usr/bin
Installing pip2.6 script to /usr/bin
Installing pip2 script to /usr/bin

Installed /usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg
Processing dependencies for pip
Finished processing dependencies for pip
[opc@entsol23 ~]$ pip install oraclebmc-cli
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please u pgrade your Python. A future version of pip will drop support for Python 2.6
Collecting oraclebmc-cli
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packag es/urllib3/util/ssl.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, whi ch can cause validation failures. You can upgrade to a newer version of Python t o solve this. For more information, see https://urllib3.readthedocs.io/en/latest /security.html#snimissingwarning.
SNIMissingWarning
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packag es/urllib3/util/ssl.py:122: InsecurePlatformWarning: A true SSLContext object i s not available. This prevents urllib3 from configuring SSL appropriately and ma y cause certain SSL connections to fail. You can upgrade to a newer version of P ython to solve this. For more information, see https://urllib3.readthedocs.io/en /latest/security.html#insecureplatformwarning.
InsecurePlatformWarning
Downloading oraclebmc_cli-2.4.2-py2.py3-none-any.whl (280kB)
100% |████████████████████████████████| 286kB 1.5MB/s
Collecting six==1.10.0 (from oraclebmc-cli)
Downloading six-1.10.0-py2.py3-none-any.whl
Collecting terminaltables==3.1.0 (from oraclebmc-cli)
Downloading terminaltables-3.1.0.tar.gz
Collecting python-dateutil==2.5.3 (from oraclebmc-cli)
Downloading python_dateutil-2.5.3-py2.py3-none-any.whl (201kB)
100% |████████████████████████████████| 204kB 1.9MB/s
Collecting cryptography==1.8.1 (from oraclebmc-cli)
Downloading cryptography-1.8.1.tar.gz (423kB)
100% |████████████████████████████████| 430kB 1.3MB/s
Collecting requests[security]==2.11.1 (from oraclebmc-cli)
Downloading requests-2.11.1-py2.py3-none-any.whl (514kB)
100% |████████████████████████████████| 522kB 1.2MB/s
Collecting httpsig-cffi==15.0.0 (from oraclebmc-cli)
Downloading httpsig_cffi-15.0.0-py2.py3-none-any.whl
Collecting configparser==3.5.0 (from oraclebmc-cli)
Downloading configparser-3.5.0.tar.gz
Collecting pytz==2016.7 (from oraclebmc-cli)
Downloading pytz-2016.7-py2.py3-none-any.whl (480kB)
100% |████████████████████████████████| 481kB 1.4MB/s
Collecting click==6.6 (from oraclebmc-cli)
Downloading click-6.6-py2.py3-none-any.whl (71kB)
100% |████████████████████████████████| 71kB 4.4MB/s
Collecting certifi (from oraclebmc-cli)
Downloading certifi-2017.4.17-py2.py3-none-any.whl (375kB)
100% |████████████████████████████████| 378kB 1.4MB/s
Collecting idna>=2.1 (from cryptography==1.8.1->oraclebmc-cli)
Downloading idna-2.5-py2.py3-none-any.whl (55kB)
100% |████████████████████████████████| 61kB 11.7MB/s
Collecting asn1crypto>=0.21.0 (from cryptography==1.8.1->oraclebmc-cli)
Downloading asn1crypto-0.22.0-py2.py3-none-any.whl (97kB)
100% |████████████████████████████████| 102kB 4.7MB/s
Collecting packaging (from cryptography==1.8.1->oraclebmc-cli)
Downloading packaging-16.8-py2.py3-none-any.whl
Collecting setuptools>=11.3 (from cryptography==1.8.1->oraclebmc-cli)
Downloading setuptools-36.0.1-py2.py3-none-any.whl (476kB)
100% |████████████████████████████████| 481kB 1.2MB/s
Collecting enum34 (from cryptography==1.8.1->oraclebmc-cli)
Downloading enum34-1.1.6-py2-none-any.whl
Collecting ipaddress (from cryptography==1.8.1->oraclebmc-cli)
Downloading ipaddress-1.0.18-py2-none-any.whl
Collecting cffi>=1.4.1 (from cryptography==1.8.1->oraclebmc-cli)
Downloading cffi-1.10.0-cp26-cp26mu-manylinux1_x86_64.whl (392kB)
100% |████████████████████████████████| 399kB 1.5MB/s
Requirement already satisfied: pyOpenSSL>=0.13; extra == "security" in /usr/lib6 4/python2.6/site-packages (from requests[security]==2.11.1->oraclebmc-cli)
Collecting ndg-httpsclient; extra == "security" (from requests[security]==2.11.1 ->oraclebmc-cli)
Downloading ndg_httpsclient-0.4.2.tar.gz
Collecting pyasn1; extra == "security" (from requests[security]==2.11.1->oracleb mc-cli)
Downloading pyasn1-0.2.3-py2.py3-none-any.whl (53kB)
100% |████████████████████████████████| 61kB 5.1MB/s
Requirement already satisfied: ordereddict in /usr/lib64/python2.6/site-packages (from configparser==3.5.0->oraclebmc-cli)
Collecting pyparsing (from packaging->cryptography==1.8.1->oraclebmc-cli)
Downloading pyparsing-2.2.0-py2.py3-none-any.whl (56kB)
100% |████████████████████████████████| 61kB 5.0MB/s
Collecting pycparser (from cffi>=1.4.1->cryptography==1.8.1->oraclebmc-cli)
Downloading pycparser-2.17.tar.gz (231kB)
100% |████████████████████████████████| 235kB 2.3MB/s
Installing collected packages: six, terminaltables, python-dateutil, idna, asn1c rypto, pyparsing, packaging, setuptools, enum34, ipaddress, pycparser, cffi, cry ptography, ndg-httpsclient, pyasn1, requests, httpsig-cffi, configparser, pytz, click, certifi, oraclebmc-cli
Found existing installation: six 1.9.0
DEPRECATION: Uninstalling a distutils installed project (six) has been depre cated and will be removed in a future version. This is due to the fact that unin stalling a distutils project will only partially uninstall the project.
Uninstalling six-1.9.0:
Exception:
Traceback (most recent call last):
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/basecommand.py" , line 215, in main
status = self.run(options, args)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/commands/instal l.py", line 342, in run
prefix=options.prefix_path,
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_set.py" , line 778, in install
requirement.uninstall(auto_confirm=True)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_install .py", line 754, in uninstall
paths_to_remove.remove(auto_confirm)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_uninsta ll.py", line 120, in remove
self.dist.project_name, self.dist.version
File "/usr/lib64/python2.6/contextlib.py", line 34, in _exit_
self.gen.throw(type, value, traceback)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/utils/logging.p y", line 36, in indent_log
yield
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_uninsta ll.py", line 115, in remove
renames(path, new_path)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/utils/__init__. py", line 267, in renames
shutil.move(old, new)
File "/usr/lib64/python2.6/shutil.py", line 261, in move
os.unlink(src)
OSError: [Errno 13] Permission denied: '/usr/lib/python2.6/site-packages/six-1.9 .0-py2.6.egg-info'
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packag es/urllib3/util/ssl.py:122: InsecurePlatformWarning: A true SSLContext object i s not available. This prevents urllib3 from configuring SSL appropriately and ma y cause certain SSL connections to fail. You can upgrade to a newer version of P ython to solve this. For more information, see https://urllib3.readthedocs.io/en /latest/security.html#insecureplatformwarning.
InsecurePlatformWarning
[opc@entsol23 ~]$ yum update python
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
You need to be root to perform this command.
[opc@entsol23 ~]$ sudo yum update python
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
Setting up Update Process
No Packages marked for Update
[opc@entsol23 ~]$ sudo yum update python*
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
Setting up Update Process
Resolving Dependencies
--> Running transaction check
-> Package python-backports-ssl_match_hostname.noarch 0:3.4.0.2-2.el6 will be updated
-> Package python-backports-ssl_match_hostname.noarch 0:3.4.0.2-5.el6 will be an update
-> Package python-boto.noarch 0:2.27.0-1.el6 will be updated
-> Package python-boto.noarch 1:2.34.0-6.el6 will be an update
-> Package python-dmidecode.x86_64 0:3.10.13-3.el6_4 will be updated
-> Package python-dmidecode.x86_64 0:3.10.15-1.el6 will be an update
-> Package python-ethtool.x86_64 0:0.6-5.el6 will be updated
-> Package python-ethtool.x86_64 0:0.6-6.el6 will be an update
-> Package python-jsonpatch.noarch 0:1.2-2.el6 will be updated
-> Package python-jsonpatch.noarch 0:1.2-4.el6 will be an update
-> Package python-jsonpointer.noarch 0:1.0-3.el6 will be updated
-> Package python-jsonpointer.noarch 0:1.0-4.el6 will be an update
-> Package python-markdown.noarch 0:2.0.1-3.1.el6 will be updated
-> Package python-markdown.noarch 0:2.0.1-4.el6 will be an update
-> Package python-prettytable.noarch 0:0.7.2-1.el6 will be updated
-> Package python-prettytable.noarch 0:0.7.2-11.el6 will be an update
-> Package python-pygments.noarch 0:1.1.1-1.el6 will be updated
-> Package python-pygments.noarch 0:1.1.1-2.el6 will be an update
-> Package python-requests.noarch 0:2.6.0-3.el6 will be updated
-> Package python-requests.noarch 0:2.6.0-4.el6 will be an update
-> Package python-urllib3.noarch 0:1.10.2-1.el6 will be updated
-> Package python-urllib3.noarch 0:1.10.2-3.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Updating:
python-backports-ssl_match_hostname
noarch 3.4.0.2-5.el6 public_ol6_latest 11 k
python-boto noarch 1:2.34.0-6.el6 public_ol6_latest 1.7 M
python-dmidecode x86_64 3.10.15-1.el6 public_ol6_latest 79 k
python-ethtool x86_64 0.6-6.el6 public_ol6_latest 30 k
python-jsonpatch noarch 1.2-4.el6 public_ol6_latest 14 k
python-jsonpointer noarch 1.0-4.el6 public_ol6_latest 8.8 k
python-markdown noarch 2.0.1-4.el6 public_ol6_latest 118 k
python-prettytable noarch 0.7.2-11.el6 public_ol6_latest 37 k
python-pygments noarch 1.1.1-2.el6 public_ol6_latest 561 k
python-requests noarch 2.6.0-4.el6 public_ol6_latest 95 k
python-urllib3 noarch 1.10.2-3.el6 public_ol6_latest 102 k

Transaction Summary
================================================================================
Upgrade 11 Package(s)

Total download size: 2.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/11): python-backports-ssl_match_hostname-3.4.0.2-5.el | 11 kB 00:00
(2/11): python-boto-2.34.0-6.el6.noarch.rpm | 1.7 MB 00:00
(3/11): python-dmidecode-3.10.15-1.el6.x86_64.rpm | 79 kB 00:00
(4/11): python-ethtool-0.6-6.el6.x86_64.rpm | 30 kB 00:00
(5/11): python-jsonpatch-1.2-4.el6.noarch.rpm | 14 kB 00:00
(6/11): python-jsonpointer-1.0-4.el6.noarch.rpm | 8.8 kB 00:00
(7/11): python-markdown-2.0.1-4.el6.noarch.rpm | 118 kB 00:00
(8/11): python-prettytable-0.7.2-11.el6.noarch.rpm | 37 kB 00:00
(9/11): python-pygments-1.1.1-2.el6.noarch.rpm | 561 kB 00:00
(10/11): python-requests-2.6.0-4.el6.noarch.rpm | 95 kB 00:00
(11/11): python-urllib3-1.10.2-3.el6.noarch.rpm | 102 kB 00:00
--------------------------------------------------------------------------------
Total 3.2 MB/s | 2.7 MB 00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : python-backports-ssl_match_hostname-3.4.0.2-5.el6.noarch 1/22
Updating : python-urllib3-1.10.2-3.el6.noarch 2/22
Updating : python-requests-2.6.0-4.el6.noarch 3/22
Updating : python-jsonpointer-1.0-4.el6.noarch 4/22
Updating : python-jsonpatch-1.2-4.el6.noarch 5/22
Updating : 1:python-boto-2.34.0-6.el6.noarch 6/22
Updating : python-dmidecode-3.10.15-1.el6.x86_64 7/22
Updating : python-prettytable-0.7.2-11.el6.noarch 8/22
Updating : python-ethtool-0.6-6.el6.x86_64 9/22
Updating : python-pygments-1.1.1-2.el6.noarch 10/22
Updating : python-markdown-2.0.1-4.el6.noarch 11/22
Cleanup : python-requests-2.6.0-3.el6.noarch 12/22
Cleanup : python-urllib3-1.10.2-1.el6.noarch 13/22
Cleanup : python-jsonpatch-1.2-2.el6.noarch 14/22
Cleanup : python-jsonpointer-1.0-3.el6.noarch 15/22
Cleanup : python-backports-ssl_match_hostname-3.4.0.2-2.el6.noarch 16/22
Cleanup : python-prettytable-0.7.2-1.el6.noarch 17/22
Cleanup : python-boto-2.27.0-1.el6.noarch 18/22
Cleanup : python-pygments-1.1.1-1.el6.noarch 19/22
Cleanup : python-markdown-2.0.1-3.1.el6.noarch 20/22
Cleanup : python-dmidecode-3.10.13-3.el6_4.x86_64 21/22
Cleanup : python-ethtool-0.6-5.el6.x86_64 22/22
Unable to connect to dbus
Verifying : python-jsonpointer-1.0-4.el6.noarch 1/22
Verifying : python-markdown-2.0.1-4.el6.noarch 2/22
Verifying : python-jsonpatch-1.2-4.el6.noarch 3/22
Verifying : python-pygments-1.1.1-2.el6.noarch 4/22
Verifying : python-ethtool-0.6-6.el6.x86_64 5/22
Verifying : 1:python-boto-2.34.0-6.el6.noarch 6/22
Verifying : python-prettytable-0.7.2-11.el6.noarch 7/22
Verifying : python-dmidecode-3.10.15-1.el6.x86_64 8/22
Verifying : python-requests-2.6.0-4.el6.noarch 9/22
Verifying : python-urllib3-1.10.2-3.el6.noarch 10/22
Verifying : python-backports-ssl_match_hostname-3.4.0.2-5.el6.noarch 11/22
Verifying : python-jsonpointer-1.0-3.el6.noarch 12/22
Verifying : python-requests-2.6.0-3.el6.noarch 13/22
Verifying : python-prettytable-0.7.2-1.el6.noarch 14/22
Verifying : python-jsonpatch-1.2-2.el6.noarch 15/22
Verifying : python-pygments-1.1.1-1.el6.noarch 16/22
Verifying : python-dmidecode-3.10.13-3.el6_4.x86_64 17/22
Verifying : python-markdown-2.0.1-3.1.el6.noarch 18/22
Verifying : python-backports-ssl_match_hostname-3.4.0.2-2.el6.noarch 19/22
Verifying : python-urllib3-1.10.2-1.el6.noarch 20/22
Verifying : python-boto-2.27.0-1.el6.noarch 21/22
Verifying : python-ethtool-0.6-5.el6.x86_64 22/22

Updated:
python-backports-ssl_match_hostname.noarch 0:3.4.0.2-5.el6
python-boto.noarch 1:2.34.0-6.el6
python-dmidecode.x86_64 0:3.10.15-1.el6
python-ethtool.x86_64 0:0.6-6.el6
python-jsonpatch.noarch 0:1.2-4.el6
python-jsonpointer.noarch 0:1.0-4.el6
python-markdown.noarch 0:2.0.1-4.el6
python-prettytable.noarch 0:0.7.2-11.el6
python-pygments.noarch 0:1.1.1-2.el6
python-requests.noarch 0:2.6.0-4.el6
python-urllib3.noarch 0:1.10.2-3.el6

Complete!
[opc@entsol23 ~]$ sudo yum list python*
Loaded plugins: kernel-update-handler, refresh-packagekit, ulninfo
Installed Packages
python.x86_64 2.6.6-66.0.1.el6_8 @public_ol6_latest
python-argparse.noarch 1.2.1-2.1.el6 @anaconda-OracleLinuxSe rver-201605181719.x86_64/6.8
python-backports.noarch 1.0-6.el6 @public_ol6_openstack_1 0
python-backports-ssl_match_hostname.noarch
3.4.0.2-5.el6 @public_ol6_latest
python-boto.noarch 1:2.34.0-6.el6 @public_ol6_latest
python-chardet.noarch 2.2.1-1.el6 @public_ol6_latest
python-cheetah.x86_64 2.4.1-1.el6 @public_ol6_latest
python-configobj.noarch 4.6.0-3.el6 @public_ol6_latest
python-devel.x86_64 2.6.6-66.0.1.el6_8 @public_ol6_latest
python-dmidecode.x86_64 3.10.15-1.el6 @public_ol6_latest
python-ethtool.x86_64 0.6-6.el6 @public_ol6_latest
python-gudev.x86_64 147.1-4.el6_0.1 @anaconda-OracleLinuxSe rver-201605181719.x86_64/6.8
python-iniparse.noarch 0.3.1-2.1.el6 @anaconda-OracleLinuxSe rver-201605181719.x86_64/6.8
python-jsonpatch.noarch 1.2-4.el6 @public_ol6_latest
python-jsonpointer.noarch 1.0-4.el6 @public_ol6_latest
python-libs.x86_64 2.6.6-66.0.1.el6_8 @public_ol6_latest
python-markdown.noarch 2.0.1-4.el6 @public_ol6_latest
python-meh.noarch 0.12.1-3.el6 @public_ol6_latest
python-nose.noarch 0.10.4-3.1.el6 @public_ol6_latest
python-oauth.noarch 1.0.1-1.el6 @/python-oauth-1.0.1-1. el6.noarch
python-prettytable.noarch 0.7.2-11.el6 @public_ol6_latest
python-pycurl.x86_64 7.19.0-9.el6 @anaconda-OracleLinuxSe rver-201605181719.x86_64/6.8
python-pygments.noarch 1.1.1-2.el6 @public_ol6_latest
python-requests.noarch 2.6.0-4.el6 @public_ol6_latest
python-setuptools.noarch 0.6.10-3.el6 @public_ol6_latest
python-six.noarch 1.9.0-2.el6 @public_ol6_latest
python-slip.noarch 0.2.20-1.el6_2 @public_ol6_latest
python-urlgrabber.noarch 3.9.1-11.0.1.el6 @anaconda-OracleLinuxSe rver-201605181719.x86_64/6.8
python-urllib3.noarch 1.10.2-3.el6 @public_ol6_latest
python-virtinst.noarch 0.600.0-31.0.1.el6 @public_ol6_latest
Available Packages
python.i686 2.6.6-36.el6 public_ol6_latest
python-Coherence.noarch 0.6.4-2.el6 public_ol6_latest
python-alembic.noarch 0.4.2-3.el6 public_ol6_openstack_10
python-amqplib.noarch 0.6.1-2.el6 public_ol6_openstack_10
python-anyjson.noarch 0.3.3-1.el6 public_ol6_openstack_10
python-avahi.x86_64 0.6.25-17.el6 public_ol6_latest
python-babel.noarch 0.9.4-5.1.el6 public_ol6_latest
python-backports.x86_64 1.0-5.el6 public_ol6_latest
python-beaker.noarch 1.3.1-7.el6 public_ol6_latest
python-brlapi.x86_64 0.5.4-7.0.1.el6 public_ol6_latest
python-bson.x86_64 2.5.2-3.el6 public_ol6_openstack_10
python-ceilometer.noarch 2014.1.3-1.0.1.el6 public_ol6_openstack_10
python-ceilometerclient.noarch 1.0.10-1.el6 public_ol6_openstack_10
python-ceilometerclient-doc.noarch 1.0.10-1.el6 public_ol6_openstack_10
python-cinder.noarch 2014.1.3-1.el6 public_ol6_openstack_10
python-cinderclient.noarch 1.0.9-1.el6 public_ol6_openstack_10
python-cinderclient-doc.noarch 1.0.9-1.el6 public_ol6_openstack_10
python-cliff.noarch 1.4.4-1.el6 public_ol6_openstack_10
python-clufter.x86_64 0.59.8-1.0.1.el6 public_ol6_latest
python-cmd2.noarch 0.6.4-7.el6 public_ol6_openstack_10
python-configshell.noarch 1:1.1.fb4-1.el6 public_ol6_latest
python-coverage.x86_64 3.0.1-2.el6 public_ol6_latest
python-croniter.noarch 0.3.4-2.el6 public_ol6_openstack_10
python-crypto.x86_64 2.6.1-1.el6 public_ol6_openstack_10
python-cryptsetup.x86_64 0.0.11-1.el6 public_ol6_latest
python-dateutil.noarch 1.4.1-7.el6 public_ol6_latest
python-decorator.noarch 3.0.1-3.1.el6 public_ol6_latest
python-decoratortools.noarch 1.7-4.1.el6 public_ol6_latest
python-deltarpm.x86_64 3.5-0.5.20090913git.el6
public_ol6_latest
python-devel.i686 2.6.6-66.0.1.el6_8 public_ol6_latest
python-django.noarch 1.6.5-2.el6 public_ol6_openstack_10
python-django-appconf.noarch 0.6-1.el6 public_ol6_openstack_10
python-django-bash-completion.noarch 1.6.5-2.el6 public_ol6_openstack_10
python-django-compressor.noarch 1.3-2.el6 public_ol6_openstack_10
python-django-doc.noarch 1.6.5-2.el6 public_ol6_openstack_10
python-django-horizon.noarch 2014.1.3-1.0.2.el6 public_ol6_openstack_10
python-django-horizon-doc.noarch 2014.1.3-1.0.2.el6 public_ol6_openstack_10
python-django-openstack-auth.noarch 1.1.5-3.el6 public_ol6_openstack_10
python-docs.noarch 2.6.6-2.el6 public_ol6_latest
python-docutils.noarch 0.6-1.el6 public_ol6_latest
python-dogpile-cache.noarch 0.5.0-1.el6 public_ol6_openstack_10
python-dogpile-core.noarch 0.4.1-1.el6 public_ol6_openstack_10
python-dtopt.noarch 0.1-6.el6 public_ol6_latest
python-elixir.noarch 0.6.1-5.el6 public_ol6_latest
python-enchant.x86_64 1.3.1-5.2.el6 public_ol6_latest
python-eventlet.noarch 0.14.0-1.el6 public_ol6_openstack_10
python-eventlet-doc.noarch 0.14.0-1.el6 public_ol6_openstack_10
python-flask.noarch 1:0.9-8.el6 public_ol6_openstack_10
python-flask-doc.noarch 1:0.9-8.el6 public_ol6_openstack_10
python-formencode.noarch 1.2.2-2.1.el6 public_ol6_latest
python-fpconst.noarch 0.7.3-6.1.el6 public_ol6_latest
python-futures.noarch 2.1.6-1.el6 public_ol6_openstack_10
python-genshi.x86_64 0.5.1-7.1.el6 public_ol6_latest
python-glance.noarch 2014.1.3-4.el6 public_ol6_openstack_10
python-glanceclient.noarch 1:0.12.0-1.el6 public_ol6_openstack_10
python-glanceclient-doc.noarch 1:0.12.0-1.el6 public_ol6_openstack_10
python-gluster.noarch 3.7.9-12.el6 public_ol6_latest
python-gpod.x86_64 0.7.2-6.el6 public_ol6_latest
python-greenlet.x86_64 0.4.2-1.el6 public_ol6_openstack_10
python-greenlet-devel.x86_64 0.4.2-1.el6 public_ol6_openstack_10
python-gtkextra.x86_64 1.1.0-10.el6 public_ol6_latest
python-heatclient.noarch 0.2.9-1.el6 public_ol6_openstack_10
python-heatclient-doc.noarch 0.2.9-1.el6 public_ol6_openstack_10
python-hivex.x86_64 1.3.3-4.3.el6 public_ol6_latest
python-httplib2.noarch 0.7.7-1.el6 public_ol6_openstack_10
python-imaging.x86_64 1.1.6-19.el6 public_ol6_latest
python-imaging-devel.i686 1.1.6-19.el6 public_ol6_latest
python-imaging-devel.x86_64 1.1.6-19.el6 public_ol6_latest
python-imaging-sane.x86_64 1.1.6-19.el6 public_ol6_latest
python-imaging-tk.x86_64 1.1.6-19.el6 public_ol6_latest
python-ipaddr.noarch 2.1.9-3.el6 public_ol6_latest
python-iso8601.noarch 0.1.10-1.el6 public_ol6_openstack_10
python-iwlib.x86_64 0.1-1.2.el6 public_ol6_latest
python-jinja2.x86_64 2.2.1-3.el6 public_ol6_latest
python-jinja2.noarch 2.7.2-1.el6 public_ol6_openstack_10
python-jinja2-26.noarch 2.6-3.el6 public_ol6_openstack_10
python-jsonpath-rw.noarch 1.2.3-2.el6 public_ol6_openstack_10
python-jsonschema.noarch 2.3.0-1.el6 public_ol6_openstack_10
python-kerberos.x86_64 1.1-7.el6 public_ol6_latest
python-keyring.noarch 0.7-1.el6 public_ol6_openstack_10
python-keystone.noarch 2014.1.3-2.el6 public_ol6_openstack_10
python-keystoneclient.noarch 1:0.9.0-5.el6 public_ol6_openstack_10
python-keystoneclient-doc.noarch 1:0.9.0-5.el6 public_ol6_openstack_10
python-kid.noarch 0.9.6-6.el6 public_ol6_latest
python-kombu.noarch 1.1.3-2.0.1.el6 public_ol6_openstack_10
python-krbV.x86_64 1.0.90-3.el6 public_ol6_latest
python-lcms.x86_64 1.19-1.el6 public_ol6_latest
python-ldap.x86_64 2.3.10-1.el6 public_ol6_latest
python-lesscpy.noarch 0.9j-3.el6 public_ol6_openstack_10
python-libguestfs.x86_64 1:1.20.11-20.el6 public_ol6_latest
python-libipa_hbac.x86_64 1.13.3-56.el6 public_ol6_latest
python-libs.i686 2.6.6-66.0.1.el6_8 public_ol6_latest
python-libsss_nss_idmap.x86_64 1.13.3-56.el6 public_ol6_latest
python-libvoikko.noarch 2.2.2-1.el6 public_ol6_latest
python-linux-procfs.noarch 0.4.9-5.el6 public_ol6_latest
python-lockfile.noarch 0.8-3.el6 public_ol6_openstack_10
python-logutils.noarch 0.3.2-1.el6 public_ol6_openstack_10
python-louie.noarch 1.1-7.el6 public_ol6_latest
python-lxml.x86_64 2.2.3-1.1.el6 public_ol6_latest
python-magic.x86_64 5.04-30.el6 public_ol6_latest
python-mako.noarch 0.5.0-5.el6 public_ol6_openstack_10
python-markupsafe.x86_64 0.9.2-4.el6 public_ol6_latest
python-matplotlib.x86_64 0.99.1.2-1.el6 public_ol6_latest
python-matplotlib-tk.x86_64 0.99.1.2-1.el6 public_ol6_latest
python-memcached.noarch 1.43-6.el6 public_ol6_latest
python-migrate.noarch 0.8.2-2.el6 public_ol6_openstack_10
python-msgpack.x86_64 0.1.13-3.el6 public_ol6_openstack_10
python-mutagen.noarch 1.16-2.1.el6 public_ol6_latest
python-myghty.noarch 1.1-11.el6 public_ol6_latest
python-netaddr.noarch 0.7.5-4.el6 public_ol6_latest
python-netifaces.x86_64 0.5-1.el6 public_ol6_openstack_10
python-networkx.noarch 1.8.1-12.el6 public_ol6_openstack_10
python-networkx-core.noarch 1.8.1-12.el6 public_ol6_openstack_10
python-networkx-doc.noarch 1.8.1-12.el6 public_ol6_openstack_10
python-neutron.noarch 2014.1.3-12.el6 public_ol6_openstack_10
python-neutronclient.noarch 2.3.4-3.el6 public_ol6_openstack_10
python-nova.noarch 2014.1.3-4.0.3.el6 public_ol6_openstack_10
python-novaclient.noarch 1:2.17.0-2.el6 public_ol6_openstack_10
python-novaclient-doc.noarch 1:2.17.0-2.el6 public_ol6_openstack_10
python-nss.x86_64 0.16.0-1.el6 public_ol6_latest
python-nss-doc.x86_64 0.16.0-1.el6 public_ol6_latest
python-oauthlib.noarch 0.6.0-4.el6 public_ol6_openstack_10
python-ordereddict.noarch 1.1-2.el6 public_ol6_openstack_10
python-oslo-config.noarch 1:1.2.1-1.el6 public_ol6_openstack_10
python-oslo-config-doc.noarch 1:1.2.1-1.el6 public_ol6_openstack_10
python-oslo-messaging.noarch 1.3.0.2-4.el6 public_ol6_openstack_10
python-oslo-messaging-doc.noarch 1.3.0.2-4.el6 public_ol6_openstack_10
python-oslo-rootwrap.noarch 1.0.0-1.el6 public_ol6_openstack_10
python-oslo-vmware.noarch 0.3-3.el6 public_ol6_openstack_10
python-oslo-vmware-doc.noarch 0.3-3.el6 public_ol6_openstack_10
python-paramiko.noarch 1.7.5-2.1.el6 public_ol6_latest
python-passlib.noarch 1.5.3-1.el6 public_ol6_openstack_10
python-paste.noarch 1.7.4-2.el6 public_ol6_latest
python-paste-deploy.noarch 1.5.0-10.el6 public_ol6_openstack_10
python-paste-deploy1.5.noarch 1.5.0-5.el6 public_ol6_openstack_10
python-paste-script.noarch 1.7.3-5.el6_3 public_ol6_latest
python-paver.noarch 1.0-4.el6 public_ol6_latest
python-pbr.noarch 0.8.0-1.el6 public_ol6_openstack_10
python-pcp.x86_64 3.10.9-9.el6 public_ol6_latest
python-peak-rules.noarch 0.5a1.dev-9.2582.1.el6
public_ol6_latest
python-peak-util-addons.noarch 0.6-4.1.el6 public_ol6_latest
python-peak-util-assembler.noarch 0.5.1-1.el6 public_ol6_latest
python-peak-util-extremes.noarch 1.1-4.1.el6 public_ol6_latest
python-peak-util-symbols.noarch 1.0-4.1.el6 public_ol6_latest
python-pecan.noarch 0.4.5-3.el6 public_ol6_openstack_10
python-perf.x86_64 2.6.32-696.3.1.el6 public_ol6_latest
python-pip.noarch 1.3.1-4.el6 public_ol6_openstack_10
python-ply.noarch 3.4-4.el6 public_ol6_openstack_10
python-prioritized-methods.noarch 0.2.1-5.2.el6 public_ol6_latest
python-psycopg2.x86_64 2.0.14-2.el6 public_ol6_latest
python-psycopg2-doc.x86_64 2.0.14-2.el6 public_ol6_latest
python-pyasn1.noarch 0.0.12a-1.el6 public_ol6_latest
python-pyblock.x86_64 0.48-1.el6 public_ol6_latest
python-pycadf.noarch 0.5.1-1.el6 public_ol6_openstack_10
python-pylons.noarch 0.9.7-2.el6 public_ol6_latest
python-pymongo.x86_64 2.5.2-3.el6 public_ol6_openstack_10
python-qmf.noarch 0.7.946106-5.el6 public_ol6_latest
python-qpid.noarch 0.14-11.el6_3 public_ol6_latest
python-qpid-qmf.x86_64 0.14-14.0.1.el6_3 public_ol6_latest
python-reportlab.x86_64 2.3-3.el6 public_ol6_latest
python-reportlab-docs.noarch 2.3-3.el6 public_ol6_latest
python-repoze-lru.noarch 0.4-3.el6 public_ol6_openstack_10
python-repoze-tm2.noarch 1.0-0.5.a4.el6 public_ol6_latest
python-repoze-what.noarch 1.0.8-6.el6 public_ol6_latest
python-repoze-what-docs.noarch 1.0.8-6.el6 public_ol6_latest
python-repoze-what-plugins-sql.noarch 1.0-0.6.rc1.el6 public_ol6_latest
python-repoze-what-pylons.noarch 1.0-4.el6 public_ol6_latest
python-repoze-what-quickstart.noarch 1.0.1-1.el6 public_ol6_latest
python-repoze-who.noarch 1.0.18-1.el6 public_ol6_latest
python-repoze-who-friendlyform.noarch 1.0-0.3.b3.el6 public_ol6_latest
python-repoze-who-plugins-sa.noarch 1.0-0.4.rc1.el6 public_ol6_latest
python-repoze-who-testutil.noarch 1.0-0.4.rc1.el6 public_ol6_latest
python-routes.noarch 1.13-2.el6 public_ol6_openstack_10
python-routes1.12.noarch 1.12.3-4.el6 public_ol6_openstack_10
python-rtslib.noarch 2.1.fb21-4.el6 public_ol6_latest
python-saslwrapper.x86_64 0.18-1.el6_3 public_ol6_openstack_10
python-schedutils.x86_64 0.4-2.el6 public_ol6_latest
python-sexy.x86_64 0.1.9-9.1.el6 public_ol6_latest
python-simplegeneric.noarch 0.8-1.el6 public_ol6_openstack_10
python-simplejson.x86_64 2.0.9-3.1.el6 public_ol6_latest
python-simpleparse.x86_64 2.1.1-3.el6 public_ol6_latest
python-singledispatch.noarch 3.4.0.2-2.el6 public_ol6_openstack_10
python-slip-dbus.noarch 0.2.20-1.el6_2 public_ol6_latest
python-slip-gtk.noarch 0.2.20-1.el6_2 public_ol6_latest
python-sphinx.noarch 0.6.6-2.el6 public_ol6_latest
python-sphinx-doc.noarch 0.6.6-2.el6 public_ol6_latest
python-sqlalchemy.noarch 0.5.5-3.el6_2 public_ol6_latest
python-sqlalchemy.x86_64 0.8.4-1.el6 public_ol6_openstack_10
python-sqlalchemy0.7.x86_64 0.7.8-1.el6 public_ol6_openstack_10
python-sss.x86_64 1.13.3-56.el6 public_ol6_latest
python-sss-murmur.x86_64 1.13.3-56.el6 public_ol6_latest
python-sssdconfig.noarch 1.13.3-56.el6 public_ol6_latest
python-stevedore.noarch 0.14-1.el6 public_ol6_openstack_10
python-suds.noarch 0.4.1-3.el6 public_ol6_latest
python-swiftclient.noarch 2.1.0-1.el6 public_ol6_openstack_10
python-swiftclient-doc.noarch 2.1.0-1.el6 public_ol6_openstack_10
python-taskflow.noarch 0.1.2-5.el6 public_ol6_openstack_10
python-taskflow-doc.noarch 0.1.2-5.el6 public_ol6_openstack_10
python-tdb.x86_64 1.3.8-3.el6_8.2 public_ol6_latest
python-tempita.noarch 0.4-2.el6 public_ol6_latest
python-test.x86_64 2.6.6-66.0.1.el6_8 public_ol6_latest
python-tevent.x86_64 0.9.26-2.el6_7 public_ol6_latest
python-tools.x86_64 2.6.6-66.0.1.el6_8 public_ol6_latest
python-toscawidgets.noarch 0.9.8-1.el6 public_ol6_latest
python-transaction.noarch 1.0.1-1.el6 public_ol6_latest
python-trove.noarch 2014.1-1.el6 public_ol6_openstack_10
python-troveclient.noarch 1.0.5-1.el6 public_ol6_openstack_10
python-turbocheetah.noarch 1.0-5.1.el6 public_ol6_latest
python-turbojson.noarch 1.2.1-8.1.el6 public_ol6_latest
python-turbokid.noarch 1.0.4-4.1.el6 public_ol6_latest
python-tw-forms.noarch 0.9.9-1.el6 public_ol6_latest
python-twisted.noarch 8.2.0-3.1.el6 public_ol6_latest
python-twisted-conch.x86_64 8.2.0-3.2.el6 public_ol6_latest
python-twisted-core.x86_64 8.2.0-4.el6 public_ol6_latest
python-twisted-core-doc.x86_64 8.2.0-4.el6 public_ol6_latest
python-twisted-core-zsh.x86_64 8.2.0-4.el6 public_ol6_latest
python-twisted-lore.x86_64 8.2.0-3.2.el6 public_ol6_latest
python-twisted-mail.x86_64 8.2.0-3.2.el6 public_ol6_latest
python-twisted-names.x86_64 8.2.0-3.2.el6 public_ol6_latest
python-twisted-news.x86_64 8.2.0-3.2.el6 public_ol6_latest
python-twisted-runner.x86_64 8.2.0-3.2.el6 public_ol6_latest
python-twisted-web.x86_64 8.2.0-5.el6_8 public_ol6_latest
python-twisted-words.x86_64 8.2.0-3.2.el6 public_ol6_latest
python-urwid.x86_64 1.1.1-1.el6 public_ol6_latest
python-versiontools.noarch 1.9.1-3.el6 public_ol6_openstack_10
python-volume_key.x86_64 0.3.1-5.el6 public_ol6_latest
python-warlock.noarch 1.0.1-1.el6 public_ol6_openstack_10
python-weberror.noarch 0.10.2-2.el6 public_ol6_latest
python-webflash.noarch 0.1-0.2.a9.el6 public_ol6_latest
python-webhelpers.noarch 0.6.4-4.el6 public_ol6_latest
python-webob.noarch 1.2.3-8.el6 public_ol6_openstack_10
python-websockify.noarch 0.5.1-1.el6 public_ol6_openstack_10
python-webtest.noarch 1.3.4-5.el6 public_ol6_openstack_10
python-werkzeug.noarch 0.8.3-2.el6 public_ol6_openstack_10
python-wsgiproxy.noarch 0.2-1.el6 public_ol6_latest
python-wsme.noarch 0.6-2.el6 public_ol6_openstack_10
python-zope-filesystem.x86_64 1-5.el6 public_ol6_latest
python-zope-interface.x86_64 3.5.2-2.1.el6 public_ol6_latest
python-zope-sqlalchemy.noarch 0.4-3.el6 public_ol6_latest

Here need to use sudo command but it wasn’t mentioned in Documentation
[opc@entsol23 ~]$ pip install oraclebmc-cli
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please u pgrade your Python. A future version of pip will drop support for Python 2.6
Collecting oraclebmc-cli
Using cached oraclebmc_cli-2.4.2-py2.py3-none-any.whl
Collecting six==1.10.0 (from oraclebmc-cli)
Using cached six-1.10.0-py2.py3-none-any.whl
Collecting terminaltables==3.1.0 (from oraclebmc-cli)
Using cached terminaltables-3.1.0.tar.gz
Collecting python-dateutil==2.5.3 (from oraclebmc-cli)
Using cached python_dateutil-2.5.3-py2.py3-none-any.whl
Collecting cryptography==1.8.1 (from oraclebmc-cli)
Using cached cryptography-1.8.1.tar.gz
Collecting requests[security]==2.11.1 (from oraclebmc-cli)
Using cached requests-2.11.1-py2.py3-none-any.whl
Collecting httpsig-cffi==15.0.0 (from oraclebmc-cli)
Using cached httpsig_cffi-15.0.0-py2.py3-none-any.whl
Collecting configparser==3.5.0 (from oraclebmc-cli)
Using cached configparser-3.5.0.tar.gz
Collecting pytz==2016.7 (from oraclebmc-cli)
Using cached pytz-2016.7-py2.py3-none-any.whl
Collecting click==6.6 (from oraclebmc-cli)
Using cached click-6.6-py2.py3-none-any.whl
Collecting certifi (from oraclebmc-cli)
Using cached certifi-2017.4.17-py2.py3-none-any.whl
Collecting idna>=2.1 (from cryptography==1.8.1->oraclebmc-cli)
Using cached idna-2.5-py2.py3-none-any.whl
Collecting asn1crypto>=0.21.0 (from cryptography==1.8.1->oraclebmc-cli)
Using cached asn1crypto-0.22.0-py2.py3-none-any.whl
Collecting packaging (from cryptography==1.8.1->oraclebmc-cli)
Using cached packaging-16.8-py2.py3-none-any.whl
Collecting setuptools>=11.3 (from cryptography==1.8.1->oraclebmc-cli)
Using cached setuptools-36.0.1-py2.py3-none-any.whl
Collecting enum34 (from cryptography==1.8.1->oraclebmc-cli)
Using cached enum34-1.1.6-py2-none-any.whl
Collecting ipaddress (from cryptography==1.8.1->oraclebmc-cli)
Using cached ipaddress-1.0.18-py2-none-any.whl
Collecting cffi>=1.4.1 (from cryptography==1.8.1->oraclebmc-cli)
Using cached cffi-1.10.0-cp26-cp26mu-manylinux1_x86_64.whl
Requirement already satisfied: pyOpenSSL>=0.13; extra == "security" in /usr/lib64/python2.6/site-packages (from requests[security]==2.11.1->oraclebmc-cli)
Collecting ndg-httpsclient; extra == "security" (from requests[security]==2.11.1->oraclebmc-cli)
Using cached ndg_httpsclient-0.4.2.tar.gz
Collecting pyasn1; extra == "security" (from requests[security]==2.11.1->oraclebmc-cli)
Using cached pyasn1-0.2.3-py2.py3-none-any.whl
Requirement already satisfied: ordereddict in /usr/lib64/python2.6/site-packages (from configparser==3.5.0->oraclebmc-cli)
Collecting pyparsing (from packaging->cryptography==1.8.1->oraclebmc-cli)
Using cached pyparsing-2.2.0-py2.py3-none-any.whl
Collecting pycparser (from cffi>=1.4.1->cryptography==1.8.1->oraclebmc-cli)
Using cached pycparser-2.17.tar.gz
Installing collected packages: six, terminaltables, python-dateutil, idna, asn1crypto, pyparsing, packaging, setuptools, enum34, ipaddress, pycparser, cffi, cryptography, ndg-httpsclient, pyasn1, requests, httpsig-cffi, configparser, pytz, click, certifi, oraclebmc-cli
Found existing installation: six 1.9.0
DEPRECATION: Uninstalling a distutils installed project (six) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
Uninstalling six-1.9.0:
Exception:
Traceback (most recent call last):
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/basecommand.py", line 215, in main
status = self.run(options, args)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/commands/install.py", line 342, in run
prefix=options.prefix_path,
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_set.py", line 778, in install
requirement.uninstall(auto_confirm=True)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_install.py", line 754, in uninstall
paths_to_remove.remove(auto_confirm)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_uninstall.py", line 120, in remove
self.dist.project_name, self.dist.version
File "/usr/lib64/python2.6/contextlib.py", line 34, in _exit_
self.gen.throw(type, value, traceback)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/utils/logging.py", line 36, in indent_log
yield
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/req/req_uninstall.py", line 115, in remove
renames(path, new_path)
File "/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/utils/__init__.py", line 267, in renames
shutil.move(old, new)
File "/usr/lib64/python2.6/shutil.py", line 261, in move
os.unlink(src)
OSError: [Errno 13] Permission denied: '/usr/lib/python2.6/site-packages/six-1.9.0-py2.6.egg-info'
[opc@entsol23 ~]$ sudo pip install oraclebmc-cli
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please upgrade your Python. A future version of pip will drop support for Python 2.6
Collecting oraclebmc-cli
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packages/urllib3/util/ssl.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
SNIMissingWarning
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packages/urllib3/util/ssl.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
InsecurePlatformWarning
Downloading oraclebmc_cli-2.4.2-py2.py3-none-any.whl (280kB)
100% |████████████████████████████████| 286kB 1.6MB/s
Collecting six==1.10.0 (from oraclebmc-cli)
Downloading six-1.10.0-py2.py3-none-any.whl
Collecting terminaltables==3.1.0 (from oraclebmc-cli)
Downloading terminaltables-3.1.0.tar.gz
Collecting python-dateutil==2.5.3 (from oraclebmc-cli)
Downloading python_dateutil-2.5.3-py2.py3-none-any.whl (201kB)
100% |████████████████████████████████| 204kB 1.9MB/s
Collecting cryptography==1.8.1 (from oraclebmc-cli)
Downloading cryptography-1.8.1.tar.gz (423kB)
100% |████████████████████████████████| 430kB 1.2MB/s
Collecting requests[security]==2.11.1 (from oraclebmc-cli)
Downloading requests-2.11.1-py2.py3-none-any.whl (514kB)
100% |████████████████████████████████| 522kB 1.2MB/s
Collecting httpsig-cffi==15.0.0 (from oraclebmc-cli)
Downloading httpsig_cffi-15.0.0-py2.py3-none-any.whl
Collecting configparser==3.5.0 (from oraclebmc-cli)
Downloading configparser-3.5.0.tar.gz
Collecting pytz==2016.7 (from oraclebmc-cli)
Downloading pytz-2016.7-py2.py3-none-any.whl (480kB)
100% |████████████████████████████████| 481kB 1.3MB/s
Collecting click==6.6 (from oraclebmc-cli)
Downloading click-6.6-py2.py3-none-any.whl (71kB)
100% |████████████████████████████████| 71kB 4.5MB/s
Collecting certifi (from oraclebmc-cli)
Downloading certifi-2017.4.17-py2.py3-none-any.whl (375kB)
100% |████████████████████████████████| 378kB 1.4MB/s
Collecting idna>=2.1 (from cryptography==1.8.1->oraclebmc-cli)
Downloading idna-2.5-py2.py3-none-any.whl (55kB)
100% |████████████████████████████████| 61kB 5.0MB/s
Collecting asn1crypto>=0.21.0 (from cryptography==1.8.1->oraclebmc-cli)
Downloading asn1crypto-0.22.0-py2.py3-none-any.whl (97kB)
100% |████████████████████████████████| 102kB 8.8MB/s
Collecting packaging (from cryptography==1.8.1->oraclebmc-cli)
Downloading packaging-16.8-py2.py3-none-any.whl
Collecting setuptools>=11.3 (from cryptography==1.8.1->oraclebmc-cli)
Downloading setuptools-36.0.1-py2.py3-none-any.whl (476kB)
100% |████████████████████████████████| 481kB 1.2MB/s
Collecting enum34 (from cryptography==1.8.1->oraclebmc-cli)
Downloading enum34-1.1.6-py2-none-any.whl
Collecting ipaddress (from cryptography==1.8.1->oraclebmc-cli)
Downloading ipaddress-1.0.18-py2-none-any.whl
Collecting cffi>=1.4.1 (from cryptography==1.8.1->oraclebmc-cli)
Downloading cffi-1.10.0-cp26-cp26mu-manylinux1_x86_64.whl (392kB)
100% |████████████████████████████████| 399kB 1.5MB/s
Requirement already satisfied: pyOpenSSL>=0.13; extra == "security" in /usr/lib64/python2.6/site-packages (from requests[security]==2.11.1->oraclebmc-cli)
Collecting ndg-httpsclient; extra == "security" (from requests[security]==2.11.1->oraclebmc-cli)
Downloading ndg_httpsclient-0.4.2.tar.gz
Collecting pyasn1; extra == "security" (from requests[security]==2.11.1->oraclebmc-cli)
Downloading pyasn1-0.2.3-py2.py3-none-any.whl (53kB)
100% |████████████████████████████████| 61kB 12.7MB/s
Requirement already satisfied: ordereddict in /usr/lib64/python2.6/site-packages (from configparser==3.5.0->oraclebmc-cli)
Collecting pyparsing (from packaging->cryptography==1.8.1->oraclebmc-cli)
Downloading pyparsing-2.2.0-py2.py3-none-any.whl (56kB)
100% |████████████████████████████████| 61kB 8.5MB/s
Collecting pycparser (from cffi>=1.4.1->cryptography==1.8.1->oraclebmc-cli)
Downloading pycparser-2.17.tar.gz (231kB)
100% |████████████████████████████████| 235kB 2.1MB/s
Installing collected packages: six, terminaltables, python-dateutil, idna, asn1crypto, pyparsing, packaging, setuptools, enum34, ipaddress, pycparser, cffi, cryptography, ndg-httpsclient, pyasn1, requests, httpsig-cffi, configparser, pytz, click, certifi, oraclebmc-cli
Found existing installation: six 1.9.0
DEPRECATION: Uninstalling a distutils installed project (six) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
Uninstalling six-1.9.0:
Successfully uninstalled six-1.9.0
Running setup.py install for terminaltables ... done
Found existing installation: setuptools 0.6rc11
DEPRECATION: Uninstalling a distutils installed project (setuptools) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
Uninstalling setuptools-0.6rc11:
Successfully uninstalled setuptools-0.6rc11
Running setup.py install for pycparser ... done
Running setup.py install for cryptography ... done
Running setup.py install for ndg-httpsclient ... done
Found existing installation: requests 2.6.0
DEPRECATION: Uninstalling a distutils installed project (requests) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
Uninstalling requests-2.6.0:
Successfully uninstalled requests-2.6.0
Running setup.py install for configparser ... done
Successfully installed asn1crypto-0.22.0 certifi-2017.4.17 cffi-1.10.0 click-6.6 configparser-3.5.0 cryptography-1.8.1 enum34-1.1.6 httpsig-cffi-15.0.0 idna-2.5 ipaddress-1.0.18 ndg-httpsclient-0.4.2 oraclebmc-cli-2.4.2 packaging-16.8 pyasn1-0.2.3 pycparser-2.17 pyparsing-2.2.0 python-dateutil-2.5.3 pytz-2016.7 requests-2.11.1 setuptools-36.0.1 six-1.10.0 terminaltables-3.1.0
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packages/urllib3/util/ssl.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning
InsecurePlatformWarning
[opc@entsol23 ~]$

[opc@entsol23 ~]$ cd /var/www/html
[opc@entsol23 html]$ sudo curl -O https://buildlogs.centos.org/rolling/7/isos/x86_64/CentOS-7-x86_64-Minimal.iso
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
46 633M 46 296M 0 0 58.7M 0 0:00:10 0:00:05 0:00:05 65.9M


1. Get the public IP address of the sacrificial instance: bmcs compute instance launch --availability-domain '<AD>' --compartment-id <compartment OCID> --image-id 'ocid1.image.oc1.phx.aaaaaaaay27pdopotkapf2ahjlsn2wxndui5hn5w37hd2wss4ses4ol5xs6a' --shape 'BM.Standard1.36' --subnet-id '<subnet OCID>' --display-name 'sacrifice' --metadata '{"ssh_authorized_keys": "<public half of keypair>"}' --ipxe-script-file 'path to ipxescript'
2.
a. In the Console, click Compute, and then choose your Compartment.
b. Click Instances, if necessary, and find the sacrificial instance.
c. Note the Public IP Address that appears in the instance's descriptive data.
Step 6: Customize the OS
Step 7: Create a Custom Image

• bmcs compute instance launch --availability-domain 'sXbM:PHX-AD-1' --compartment-id 'ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq' --image-id 'ocid1.image.oc1.phx.aaaaaaaay27pdopotkapf2ahjlsn2wxndui5hn5w37hd2wss4ses4ol5xs6a' --shape 'BM.Standard1.36' --subnet-id 'ocid1.subnet.oc1.phx.aaaaaaaav2o64hm3i3cvaw3xhasuynpvsetteuoydndkhnv6prr2rlgumwja' --display-name 'sacrifice_robin' --metadata '{"ssh_authorized_keys": "ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAj6DSKj3aB80QvGQwdHLm8F8fr8UM8LYYY6+Y+hx8QVGmv7FpiA2pj6dH60XXP9/gXYRsr7H8Ax7kqHvI3sgeH1g8EKuYm3baaStyx2sxSixyLToyqDmJlYt+QY9VU/bSIPuHR+j8WPtfkRpUpIF5I6vsBpJ3YSGU5a6n3zfm81XbGIZXzdek4W3JS4d/QJ5j8fdnvjS0IZ5ezuq51txCyCw6pNx07bsAGT/3GktweTZltQ2+pZS0iaMtm3QDc52zKYXfkH+LuMUeLr80SnZG+p2LhocdYwiV3QdkK2m774/RcfJUmZTE+1AgZrQWe9HiGRGx5x16TfVXMs09cztJFw== cloud"}' --ipxe-script-file '/var/www/html/CentOS7/addons/ipxescript'
On Oracle Linux 6, a newer version of Python is usually required. You can install a newer version alongside the existing version by downloading from Python, then installing the CLI in a virtual environment that uses that version. The next set of commands shows how this could be done.

sudo yum install gcc libffi-devel python-devel openssl-devel
sudo easy_install pip
curl -O https://www.python.org/ftp/python/3.6.0/Python-3.6.0.tgz
tar -xvzf Python-3.6.0.tgz
cd Python-3.6.0
./configure
make
sudo make install
cd ..
sudo pip install virtualenv
virtualenv -p /usr/local/bin/python3.6 cli_env
. cli_env/bin/activate
pip install oraclebmc-cli


[root@entsol23 Python-3.6.1]# cd ..
[root@entsol23 ~]# sudo pip install virtualenv
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please upgrade your Python. A future version of pip will drop support for Python 2.6
Collecting virtualenv
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packages/urllib3/util/ssl.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
SNIMissingWarning
/usr/lib/python2.6/site-packages/pip-9.0.1-py2.6.egg/pip/vendor/requests/packages/urllib3/util/ssl.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
InsecurePlatformWarning
Downloading virtualenv-15.1.0-py2.py3-none-any.whl (1.8MB)
100% |████████████████████████████████| 1.8MB 527kB/s
Installing collected packages: virtualenv
Successfully installed virtualenv-15.1.0
[root@entsol23 ~]# virtualenv -p /usr/local/bin/python3.6 cli_env
Running virtualenv with interpreter /usr/local/bin/python3.6
Using base prefix '/usr/local'
New python executable in /root/cli_env/bin/python3.6
Also creating executable in /root/cli_env/bin/python
Installing setuptools, pip, wheel...done.
[root@entsol23 ~]# . cli_env/bin/activate
(cli_env) [root@entsol23 ~]# pip install oraclebmc-cli
Collecting oraclebmc-cli
Using cached oraclebmc_cli-2.4.2-py2.py3-none-any.whl
Collecting pytz==2016.7 (from oraclebmc-cli)
Using cached pytz-2016.7-py2.py3-none-any.whl
Collecting requests[security]==2.11.1 (from oraclebmc-cli)
Using cached requests-2.11.1-py2.py3-none-any.whl
Collecting configparser==3.5.0 (from oraclebmc-cli)
Using cached configparser-3.5.0.tar.gz
Collecting python-dateutil==2.5.3 (from oraclebmc-cli)
Using cached python_dateutil-2.5.3-py2.py3-none-any.whl
Collecting terminaltables==3.1.0 (from oraclebmc-cli)
Using cached terminaltables-3.1.0.tar.gz
Collecting six==1.10.0 (from oraclebmc-cli)
Using cached six-1.10.0-py2.py3-none-any.whl
Collecting click==6.6 (from oraclebmc-cli)
Using cached click-6.6-py2.py3-none-any.whl
Collecting cryptography==1.8.1 (from oraclebmc-cli)
Using cached cryptography-1.8.1.tar.gz
Collecting httpsig-cffi==15.0.0 (from oraclebmc-cli)
Using cached httpsig_cffi-15.0.0-py2.py3-none-any.whl
Collecting certifi (from oraclebmc-cli)
Using cached certifi-2017.4.17-py2.py3-none-any.whl
Collecting pyOpenSSL>=0.13; extra == "security" (from requests[security]==2.11.1->oraclebmc-cli)
Downloading pyOpenSSL-17.0.0-py2.py3-none-any.whl (51kB)
100% |████████████████████████████████| 61kB 2.9MB/s
Collecting pyasn1; extra == "security" (from requests[security]==2.11.1->oraclebmc-cli)
Using cached pyasn1-0.2.3-py2.py3-none-any.whl
Collecting ndg-httpsclient; extra == "security" (from requests[security]==2.11.1->oraclebmc-cli)
Using cached ndg_httpsclient-0.4.2.tar.gz
Collecting idna>=2.1 (from cryptography==1.8.1->oraclebmc-cli)
Using cached idna-2.5-py2.py3-none-any.whl
Collecting asn1crypto>=0.21.0 (from cryptography==1.8.1->oraclebmc-cli)
Using cached asn1crypto-0.22.0-py2.py3-none-any.whl
Collecting packaging (from cryptography==1.8.1->oraclebmc-cli)
Using cached packaging-16.8-py2.py3-none-any.whl
Requirement already satisfied: setuptools>=11.3 in ./cli_env/lib/python3.6/site-packages (from cryptography==1.8.1->oraclebmc-cli)
Collecting cffi>=1.4.1 (from cryptography==1.8.1->oraclebmc-cli)
Downloading cffi-1.10.0-cp36-cp36m-manylinux1_x86_64.whl (406kB)
100% |████████████████████████████████| 409kB 1.3MB/s
Collecting pyparsing (from packaging->cryptography==1.8.1->oraclebmc-cli)
Using cached pyparsing-2.2.0-py2.py3-none-any.whl
Collecting pycparser (from cffi>=1.4.1->cryptography==1.8.1->oraclebmc-cli)
Using cached pycparser-2.17.tar.gz
Building wheels for collected packages: configparser, terminaltables, cryptography, ndg-httpsclient, pycparser
Running setup.py bdist_wheel for configparser ... done
Stored in directory: /root/.cache/pip/wheels/1c/bd/b4/277af3f6c40645661b4cd1c21df26aca0f2e1e9714a1d4cda8
Running setup.py bdist_wheel for terminaltables ... done
Stored in directory: /root/.cache/pip/wheels/96/0c/9a/0ec2bcad2ac1fb1d0e4695879386460cec1a947cd7413d1b17
Running setup.py bdist_wheel for cryptography ... done
Stored in directory: /root/.cache/pip/wheels/c2/12/b8/54077d2a681ad55e244675c3bad78ed27e01916b96f63a32cc
Running setup.py bdist_wheel for ndg-httpsclient ... done
Stored in directory: /root/.cache/pip/wheels/44/6b/b1/eef816d523c0aa93f350fd2a78d74769e010e2f26623921b76
Running setup.py bdist_wheel for pycparser ... done
Stored in directory: /root/.cache/pip/wheels/a8/0b/41/dc95621f9d3a0da7bc191b8a71f0e8182ffd3cc5f33ac55005
Successfully built configparser terminaltables cryptography ndg-httpsclient pycparser
Installing collected packages: pytz, idna, asn1crypto, pyparsing, six, packaging, pycparser, cffi, cryptography, pyOpenSSL, pyasn1, ndg-httpsclient, requests, configparser, python-dateutil, terminaltables, click, httpsig-cffi, certifi, oraclebmc-cli
Successfully installed asn1crypto-0.22.0 certifi-2017.4.17 cffi-1.10.0 click-6.6 configparser-3.5.0 cryptography-1.8.1 httpsig-cffi-15.0.0 idna-2.5 ndg-httpsclient-0.4.2 oraclebmc-cli-2.4.2 packaging-16.8 pyOpenSSL-17.0.0 pyasn1-0.2.3 pycparser-2.17 pyparsing-2.2.0 python-dateutil-2.5.3 pytz-2016.7 requests-2.11.1 six-1.10.0 terminaltables-3.1.0
(cli_env) [root@entsol23 ~]# bmcs setup config
This command provides a walkthrough of creating a valid CLI config file.

The following links explain where to find the information required by this
script:

User OCID and Tenancy OCID:

https://docs.us-phoenix-1.oraclecloud.com/Content/API/Concepts
/apisigningkey.htm#Other

Region:

https://docs.us-
phoenix-1.oraclecloud.com/Content/General/Concepts/regions.htm

General config documentation:

https://docs.us-
phoenix-1.oraclecloud.com/Content/API/Concepts/sdkconfig.htm


Enter a location for your config [/root/.oraclebmc/config]:
Enter a user OCID: ocid1.user.oc1..aaaaaaaan2sr556hfpzq2fjva5fjvwjpsnrgmxqbxh3jlba6mysvmnxyyf2q
Enter a tenancy OCID: ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq
Enter a region: us-phoenix-1
Do you want to generate a new RSA key pair? (If you decline you will be asked to supply the path to an existing key.) [Y/n]: Y
Enter a directory for your keys to be created [/root/.oraclebmc]:
Enter a name for your key [bmcs_api_key]:
Public key written to: /root/.oraclebmc/bmcs_api_key_public.pem
Enter a passphrase for your private key (empty for no passphrase):
Private key written to: /root/.oraclebmc/bmcs_api_key.pem
Config written to /root/.oraclebmc/config


If you haven't already, follow these instructions to upload your public
key:

https://docs.us-
phoenix-1.oraclecloud.com/Content/API/Concepts/apisigningkey.htm#How2


(cli_env) [root@entsol23 ~]# cp /root/.oraclebmc/bmcs_api_key_public.pem ~opc
(cli_env) [root@entsol23 ~]# chown opc ~opc/bmcs_api_key_public.pem
(cli_env) [root@entsol23 ~]# bmcs --help
Usage: bmcs [OPTIONS] COMMAND [ARGS]...

Oracle Bare Metal Cloud Services command line interface, with support for
Block Volume, Compute, IAM, Networking, and Object Storage Services.

Most commands must specify a service, followed by a resource type and then
an action. For example, to list users (where $T contains the OCID of the
current tenant):

bmcs iam user list --compartment-id $T

Output is in JSON format.

For information on configuration, see https://docs.us-
phoenix-1.oraclecloud.com/Content/API/Concepts/sdkconfig.htm.

Options:
-v, --version Show the version and exit.
--config-file TEXT The path to the config file. [default:
~/.oraclebmc/config]
--profile TEXT The profile in the config file to load. [default:
DEFAULT]
--request-id TEXT The request id to use for tracking the request.
--region TEXT The region to make calls against.
--endpoint TEXT The URL to use as the service endpoint. This will
override the default URL.
--cert-bundle TEXT The full path to a CA certificate bundle to be used for
SSL verification. This will override the default CA
certificate bundle.
-d, --debug Show additional debug information.
-?, --help Show this message and exit.

Commands:
bv Block Volume Service
compute Compute Service
iam Identity and Access Management Service
network Networking Service
os Object Storage Service
setup Setup commands for CLI
(cli_env) [root@entsol23 ~]# bmcs compute instance launch --availability-domain 'PHX-AD-1' --compartment-id 'ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq' --image-id 'ocid1.image.oc1.phx.aaaaaaaay27pdopotkapf2ahjlsn2wxndui5hn5w37hd2wss4ses4ol5xs6a' --shape 'BM.Standard1.36' --subnet-id 'ocid1.subnet.oc1.phx.aaaaaaaav2o64hm3i3cvaw3xhasuynpvsetteuoydndkhnv6prr2rlgumwja' --display-name 'sacrifice_robin' --metadata '{"ssh_authorized_keys": "ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAj6DSKj3aB80QvGQwdHLm8F8fr8UM8LYYY6+Y+hx8QVGmv7FpiA2pj6dH60XXP9/gXYRsr7H8Ax7kqHvI3sgeH1g8EKuYm3baaStyx2sxSixyLToyqDmJlYt+QY9VU/bSIPuHR+j8WPtfkRpUpIF5I6vsBpJ3YSGU5a6n3zfm81XbGIZXzdek4W3JS4d/QJ5j8fdnvjS0IZ5ezuq51txCyCw6pNx07bsAGT/3GktweTZltQ2+pZS0iaMtm3QDc52zKYXfkH+LuMUeLr80SnZG+p2LhocdYwiV3QdkK2m774/RcfJUmZTE+1AgZrQWe9HiGRGx5x16TfVXMs09cztJFw== cloud"}' --ipxe-script-file 'https://172.18.59.23/tcs1/addons/ipxescript'
Usage: bmcs compute instance launch [OPTIONS]

Error: Invalid value for "--ipxe-script-file": Could not open file: https://172.18.59.23/tcs1/addons/ipxescript: No such file or directory
(cli_env) [root@entsol23 ~]# bmcs compute instance launch --availability-domain 'PHX-AD-1' --compartment-id 'ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq' --image-id 'ocid1.image.oc1.phx.aaaaaaaay27pdopotkapf2ahjlsn2wxndui5hn5w37hd2wss4ses4ol5xs6a' --shape 'BM.Standard1.36' --subnet-id 'ocid1.subnet.oc1.phx.aaaaaaaav2o64hm3i3cvaw3xhasuynpvsetteuoydndkhnv6prr2rlgumwja' --display-name 'sacrifice_robin' --metadata '{"ssh_authorized_keys": "ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAj6DSKj3aB80QvGQwdHLm8F8fr8UM8LYYY6+Y+hx8QVGmv7FpiA2pj6dH60XXP9/gXYRsr7H8Ax7kqHvI3sgeH1g8EKuYm3baaStyx2sxSixyLToyqDmJlYt+QY9VU/bSIPuHR+j8WPtfkRpUpIF5I6vsBpJ3YSGU5a6n3zfm81XbGIZXzdek4W3JS4d/QJ5j8fdnvjS0IZ5ezuq51txCyCw6pNx07bsAGT/3GktweTZltQ2+pZS0iaMtm3QDc52zKYXfkH+LuMUeLr80SnZG+p2LhocdYwiV3QdkK2m774/RcfJUmZTE+1AgZrQWe9HiGRGx5x16TfVXMs09cztJFw== cloud"}' --ipxe-script-file '/var/www/html/tcs1/addons/ipxescript'
ServiceError:
{
"code": "InvalidParameter",
"message": "Availability Domain PHX-AD-1 is not valid",
"opc-request-id": "921B12C35755447A93C35F9EADC7FAE8/3B57BAF959BC4A83865EED15A03C7B35/B027E9966B624809B71A2D277095569B",
"status": 400
}
(cli_env) [root@entsol23 ~]# bmcs compute instance launch --availability-domain 'sXbM:PHX-AD-1' --compartment-id 'ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq' --image-id 'ocid1.image.oc1.phx.aaaaaaaay27pdopotkapf2ahjlsn2wxndui5hn5w37hd2wss4ses4ol5xs6a' --shape 'BM.Standard1.36' --subnet-id 'ocid1.subnet.oc1.phx.aaaaaaaav2o64hm3i3cvaw3xhasuynpvsetteuoydndkhnv6prr2rlgumwja' --display-name 'sacrifice_robin' --metadata '{"ssh_authorized_keys": "ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAj6DSKj3aB80QvGQwdHLm8F8fr8UM8LYYY6+Y+hx8QVGmv7FpiA2pj6dH60XXP9/gXYRsr7H8Ax7kqHvI3sgeH1g8EKuYm3baaStyx2sxSixyLToyqDmJlYt+QY9VU/bSIPuHR+j8WPtfkRpUpIF5I6vsBpJ3YSGU5a6n3zfm81XbGIZXzdek4W3JS4d/QJ5j8fdnvjS0IZ5ezuq51txCyCw6pNx07bsAGT/3GktweTZltQ2+pZS0iaMtm3QDc52zKYXfkH+LuMUeLr80SnZG+p2LhocdYwiV3QdkK2m774/RcfJUmZTE+1AgZrQWe9HiGRGx5x16TfVXMs09cztJFw== cloud"}' --ipxe-script-file 'https://172.18.59.23/tcs1/addons/ipxescript'
Usage: bmcs compute instance launch [OPTIONS]

Error: Invalid value for "--ipxe-script-file": Could not open file: https://172.18.59.23/tcs1/addons/ipxescript: No such file or directory
(cli_env) [root@entsol23 ~]# bmcs compute instance launch --availability-domain 'sXbM:PHX-AD-1' --compartment-id 'ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq' --image-id 'ocid1.image.oc1.phx.aaaaaaaay27pdopotkapf2ahjlsn2wxndui5hn5w37hd2wss4ses4ol5xs6a' --shape 'BM.Standard1.36' --subnet-id 'ocid1.subnet.oc1.phx.aaaaaaaav2o64hm3i3cvaw3xhasuynpvsetteuoydndkhnv6prr2rlgumwja' --display-name 'sacrifice_robin' --metadata '{"ssh_authorized_keys": "ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAj6DSKj3aB80QvGQwdHLm8F8fr8UM8LYYY6+Y+hx8QVGmv7FpiA2pj6dH60XXP9/gXYRsr7H8Ax7kqHvI3sgeH1g8EKuYm3baaStyx2sxSixyLToyqDmJlYt+QY9VU/bSIPuHR+j8WPtfkRpUpIF5I6vsBpJ3YSGU5a6n3zfm81XbGIZXzdek4W3JS4d/QJ5j8fdnvjS0IZ5ezuq51txCyCw6pNx07bsAGT/3GktweTZltQ2+pZS0iaMtm3QDc52zKYXfkH+LuMUeLr80SnZG+p2LhocdYwiV3QdkK2m774/RcfJUmZTE+1AgZrQWe9HiGRGx5x16TfVXMs09cztJFw== cloud"}' --ipxe-script-file '/var/www/html/tcs1/addons/ipxescript'
{
"data": {
"availability-domain": "sXbM:PHX-AD-1",
"compartment-id": "ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq",
"display-name": "sacrifice_robin",
"id": "ocid1.instance.oc1.phx.abyhqljto2r3gbqmdqannsr3qogmte6npgkrqr3k4zxw4yll3o47vbbqitvq",
"image-id": "ocid1.image.oc1.phx.aaaaaaaay27pdopotkapf2ahjlsn2wxndui5hn5w37hd2wss4ses4ol5xs6a",
"ipxe-script": "#!ipxe\nset keep-san 1\nset target-iqn iqn.2015-02.oracle.boot:uefi\nset root-path iscsi:169.254.0.2::::${target-iqn}\nsanhook ${root-path} || echo could not attach ${root-path}\nset uefi-filename \\EFI\\centos\\grubx64.efi \n\n#CHANGE IP BELOW TO PXE BOOT SERVER IP\nsanboot || set url http://172.18.59.23\n\nkernel ${url}/tcs1/images/pxeboot/vmlinuz initrd=initrd.img vmlinuxconsole=tty0 console=ttyS0,9600 netroot=iscsi:@169.254.0.2::::iqn.2015-02.oracle.boot:uefi iscsi_initiator=iqn.2015-02.oracle.boot:instance ip=dhcp ks=http://172.18.59.23/tcs1/addons/ks.cfg\ninitrd ${url}/tcs1/images/pxeboot/initrd.img\nboot\n",
"lifecycle-state": "PROVISIONING",
"metadata": {
"ssh_authorized_keys": "ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAj6DSKj3aB80QvGQwdHLm8F8fr8UM8LYYY6+Y+hx8QVGmv7FpiA2pj6dH60XXP9/gXYRsr7H8Ax7kqHvI3sgeH1g8EKuYm3baaStyx2sxSixyLToyqDmJlYt+QY9VU/bSIPuHR+j8WPtfkRpUpIF5I6vsBpJ3YSGU5a6n3zfm81XbGIZXzdek4W3JS4d/QJ5j8fdnvjS0IZ5ezuq51txCyCw6pNx07bsAGT/3GktweTZltQ2+pZS0iaMtm3QDc52zKYXfkH+LuMUeLr80SnZG+p2LhocdYwiV3QdkK2m774/RcfJUmZTE+1AgZrQWe9HiGRGx5x16TfVXMs09cztJFw== cloud"
},
"region": "phx",
"shape": "BM.Standard1.36",
"time-created": "2017-06-02T12:10:20.827000+00:00"
},
"etag": "49f1f2fcdcf7763cfd23e8bf54a4f78b6c986cdbf384536023e17492c72e5501"
}
(cli_env) [root@entsol23 httpd]# bmcs --help
Usage: bmcs [OPTIONS] COMMAND [ARGS]...

Oracle Bare Metal Cloud Services command line interface, with support for
Block Volume, Compute, IAM, Networking, and Object Storage Services.

Most commands must specify a service, followed by a resource type and then
an action. For example, to list users (where $T contains the OCID of the
current tenant):

bmcs iam user list --compartment-id $T

Output is in JSON format.

For information on configuration, see https://docs.us-
phoenix-1.oraclecloud.com/Content/API/Concepts/sdkconfig.htm.

Options:
-v, --version Show the version and exit.
--config-file TEXT The path to the config file. [default:
~/.oraclebmc/config]
--profile TEXT The profile in the config file to load. [default:
DEFAULT]
--request-id TEXT The request id to use for tracking the request.
--region TEXT The region to make calls against.
--endpoint TEXT The URL to use as the service endpoint. This will
override the default URL.
--cert-bundle TEXT The full path to a CA certificate bundle to be used for
SSL verification. This will override the default CA
certificate bundle.
-d, --debug Show additional debug information.
-?, --help Show this message and exit.

Commands:
bv Block Volume Service
compute Compute Service
iam Identity and Access Management Service
network Networking Service
os Object Storage Service
setup Setup commands for CLI
(cli_env) [root@entsol23 httpd]# bmcs compute help
Usage: bmcs compute [OPTIONS] COMMAND [ARGS]...

Error: No such command "help".
(cli_env) [root@entsol23 httpd]# bmcs compute
Usage: bmcs compute [OPTIONS] COMMAND [ARGS]...

Compute Service

Options:
-?, --help Show this message and exit.

Commands:
console-history An instance's serial console data.
image A boot disk image for launching an instance.
instance A compute host.
shape A compute instance shape that can be used in...
vnic-attachment Represents an attachment between a VNIC and...
volume-attachment A base object for all types of attachments...
(cli_env) [root@entsol23 httpd]# bmcs compute console-history
Usage: bmcs compute console-history [OPTIONS] COMMAND [ARGS]...

An instance's serial console data. It includes configuration messages that
occur when the instance boots, such as kernel and BIOS messages, and is
useful for checking the status of the instance or diagnosing problems. The
console data is minimally formatted ASCII text.

Options:
-?, --help Show this message and exit.

Commands:
capture Captures the most recent serial console data...
delete Deletes the specified console history...
get Shows the metadata for the specified console...
get-content Gets the actual console history data (not the...
list Lists the console history metadata for the...
(cli_env) [root@entsol23 httpd]# bmcs compute console-history capture
Usage: bmcs compute console-history capture [OPTIONS]

Error: Missing option "--instance-id".
(cli_env) [root@entsol23 httpd]# bmcs compute console-history capture --instance-id='ocid1.instance.oc1.phx.abyhqljto2r3gbqmdqannsr3qogmte6npgkrqr3k4zxw4yll3o47vbbqitvq'
{
"data": {
"availability-domain": "sXbM:PHX-AD-1",
"compartment-id": "ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq",
"display-name": "consolehistory20170602121656",
"id": "ocid1.consolehistory.oc1.phx.abyhqljt5xb2qzg4vtpz3kywjadxvnbq6myvw4mlwprpwt2x637m5inz3vrq",
"instance-id": "ocid1.instance.oc1.phx.abyhqljto2r3gbqmdqannsr3qogmte6npgkrqr3k4zxw4yll3o47vbbqitvq",
"lifecycle-state": "REQUESTED",
"time-created": "2017-06-02T12:16:56.046000+00:00"
},
"etag": "7838a9a340db2a00e8615d433967f47efef24c376353763daaff9273553d919c"
}
(cli_env) [root@entsol23 httpd]# bmcs compute console-history list --instance-id='ocid1.instance.oc1.phx.abyhqljto2r3gbqmdqannsr3qogmte6npgkrqr3k4zxw4yll3o47vbbqitvq'
Usage: bmcs compute console-history list [OPTIONS]

Error: Missing option "--compartment-id" / "-c".
(cli_env) [root@entsol23 httpd]# bmcs compute console-history list --instance-id='ocid1.instance.oc1.phx.abyhqljto2r3gbqmdqannsr3qogmte6npgkrqr3k4zxw4yll3o47vbbqitvq' --compartment-id 'ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq'
{
"data": [
{
"availability-domain": "sXbM:PHX-AD-1",
"compartment-id": "ocid1.tenancy.oc1..aaaaaaaahem45xe3oflrnc24ms7tf2hoaqotyhfbcnsyxqeya64w7awmtcxq",
"display-name": "consolehistory20170602121656",
"id": "ocid1.consolehistory.oc1.phx.abyhqljt5xb2qzg4vtpz3kywjadxvnbq6myvw4mlwprpwt2x637m5inz3vrq",
"instance-id": "ocid1.instance.oc1.phx.abyhqljto2r3gbqmdqannsr3qogmte6npgkrqr3k4zxw4yll3o47vbbqitvq",
"lifecycle-state": "SUCCEEDED",
"time-created": "2017-06-02T12:16:56.046000+00:00"
}
]
}
(cli_env) [root@entsol23 httpd]# bmcs compute console-history get-content
Usage: bmcs compute console-history get-content [OPTIONS]

Error: Missing option "--instance-console-history-id".
(cli_env) [root@entsol23 httpd]# bmcs compute console-history get-content --instance-console-history-id="ocid1.consolehistory.oc1.phx.abyhqljt5xb2qzg4vtpz3kywjadxvnbq6myvw4mlwprpwt2x637m5inz3vrq" --file=./console1
(cli_env) [root@entsol23 httpd]# vi console1
(cli_env) [root@entsol23 httpd]#

Copyright (C) 2014, Oracle and/or its affiliates. All rights reserved. Version 2.16.1243. Copyright (C) 2013 American Megatrends, Inc. BIOS Date: 08/31/2016 13:42:30 Ver: 30090200 Press F2 to run Setup (CTRL+E on serial keyboard) Press F8 for BBS Popup (CTRL+P on serial keyboard) Press F12 for network boot (CTRL+N on serial keyboard) >>Checking Media Presence...... >>Media Present...... >>Start PXE over IPv4. Station IP address is 172.18.59.6 Server IP address is 169.254.169.254 NBP filename is /ipxe.efi NBP filesize is 158752 Bytes >>Checking Media Presence...... >>Media Present...... Downloading NBP file... Succeed to download NBP file. iPXE initialising devices...ok iPXE 1.0.0+ (3f894) -- Open Source Network Boot Firmware -- http://ipxe.org Features: DNS HTTP iSCSI TFTP AoE EFI Menu 3f89419 Configuring (net0 90:e2:ba:d3:c9:3c)...... ok http://169.254.0.4/script.ipxe... ok Registered SAN device 0x80 Booting from SAN device 0x80
Boot from SAN device 0x80 failed: Error 0x7f22208e (http://ipxe.org/7f22208e)
http://172.18.59.23/tcs1/images/pxeboot/vmlinuz... ok
http://172.18.59.23/tcs1/images/pxeboot/initrd.img... ok
[ 0.000000] Linux version 4.11.3-1.el7.elrepo.x86_64 (mockbuild@Build64R7) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Fri May 26 09:19:46 EDT 2017
[ 0.000000] Command line: vmlinuz initrd=initrd.img vmlinuxconsole=tty0 console=ttyS0,9600 netroot=iscsi:@169.254.0.2::::iqn.2015-02.oracle.boot:uefi iscsi_initiator=iqn.2015-02.oracle.boot:instance ip=dhcp ks=http://172.18.59.23/tcs1/addons/ks.cfg
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[ 0.000000] x86/fpu: xstate_offset[2]: 576, xstate_sizes[2]: 256
[ 0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009ffff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x0000000052895fff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000052896000-0x0000000052b95fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x0000000052b96000-0x0000000077c05fff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000077c06000-0x0000000079633fff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000079634000-0x000000007966efff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x000000007966f000-0x00000000798fffff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x0000000079900000-0x000000007bd4cfff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000007bd4d000-0x000000007bd57fff] usable
[ 0.000000] BIOS-e820: [mem 0x000000007bd58000-0x000000007bd58fff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000007bd59000-0x000000007bd5bfff] usable
[ 0.000000] BIOS-e820: [mem 0x000000007bd5c000-0x000000007bd5cfff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000007bd5d000-0x000000007bd5dfff] usable
[ 0.000000] BIOS-e820: [mem 0x000000007bd5e000-0x000000007bde3fff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000007bde4000-0x000000007bffffff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000080000000-0x000000008fffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ff000000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000407fffffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] efi: EFI v2.31 by American Megatrends
[ 0.000000] efi: ACPI=0x79649000 ACPI 2.0=0x79649000 SMBIOS=0xf0560 MPS=0xfd5e0
[ 0.000000] SMBIOS 2.8 present.
[ 0.000000] DMI: Oracle Corporation ORACLE SERVER X5-2/ASM,MOTHERBOARD,1U, BIOS 30090200 08/31/2016
[ 0.000000] e820: last_pfn = 0x4080000 max_arch_pfn = 0x400000000
[ 0.000000] x86/PAT: Configuration [0-7]: WB WC UC- UC WB WC UC- WT
[ 0.000000] e820: last_pfn = 0x7c000 max_arch_pfn = 0x400000000
[ 0.000000] found SMP MP-table at [mem 0x000fdbd0-0x000fdbdf] mapped at [ffff8800000fdbd0]
[ 0.000000] Using GB pages for direct mapping
[ 0.000000] Secure boot disabled
[ 0.000000] RAMDISK: [mem 0x777dc000-0x777dcfff]
[ 0.000000] ACPI: Early table checksum verification disabled
[ 0.000000] ACPI: RSDP 0x0000000079649000 000024 (v02 ORACLE)
[ 0.000000] ACPI: XSDT 0x00000000796490B0 0000E4 (v01 ORACLE X5-2 30090200 AMI 00010013)
[ 0.000000] ACPI: FACP 0x000000007965C660 00010C (v05 ORACLE X5-2 30090200 AMI 00010013)
[ 0.000000] ACPI: DSDT 0x0000000079649228 013436 (v02 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: FACS 0x00000000798FDF80 000040
[ 0.000000] ACPI: APIC 0x000000007965C770 000454 (v03 ORACLE X5-2 30090200 AMI 00010013)
[ 0.000000] ACPI: FPDT 0x000000007965CBC8 000044 (v01 ORACLE X5-2 30090200 AMI 00010013)
[ 0.000000] ACPI: FIDT 0x000000007965CC10 00009C (v01 ORACLE X5-2 30090200 AMI 00010013)
[ 0.000000] ACPI: MCFG 0x000000007965CCB0 00003C (v01 ORACLE X5-2 30090200 MSFT 00000097)
[ 0.000000] ACPI: OEMS 0x000000007965CCF0 0007DC (v01 ORACLE X5-2 30090200 ORCL 00000001)
[ 0.000000] ACPI: UEFI 0x000000007965D4D0 000042 (v01 ORACLE X5-2 30090200 00000000)
[ 0.000000] ACPI: BDAT 0x000000007965D518 000030 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: HPET 0x000000007965D548 000038 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: MSCT 0x000000007965D580 000090 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: PCCT 0x000000007965D610 00006E (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: PMCT 0x000000007965D680 000064 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: PMTT 0x000000007965D6E8 0002B0 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: SLIT 0x000000007965D998 000030 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: SRAT 0x000000007965D9C8 000E58 (v03 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: WDDT 0x000000007965E820 000040 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: SSDT 0x000000007965E860 00ECD3 (v01 ORACLE PmMgt 30090200 INTL 20120913)
[ 0.000000] ACPI: OEMP 0x000000007966D538 000158 (v01 ORACLE X5-2 30090200 ORCL 00000001)
[ 0.000000] ACPI: DMAR 0x000000007966D690 000120 (v01 ORACLE X5-2 30090200 INTL 20091013)
[ 0.000000] ACPI: HEST 0x000000007966D7B0 00013C (v01 ORACLE X5-2 30090200 INTL 00000001)
[ 0.000000] ACPI: BERT 0x000000007966D8F0 000030 (v01 ORACLE X5-2 30090200 INTL 00000001)
[ 0.000000] ACPI: ERST 0x000000007966D920 000230 (v01 ORACLE X5-2 30090200 INTL 00000001)
[ 0.000000] ACPI: EINJ 0x000000007966DB50 000130 (v01 ORACLE X5-2 30090200 INTL 00000001)
[ 0.000000] ACPI: iBFT 0x000000007966DC80 000300 (v01 ORACLE X5-2 30090200 00000000)
[ 0.000000] SRAT: PXM 0 -> APIC 0x00 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x02 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x04 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x06 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x08 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x10 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x12 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x14 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x16 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x20 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x22 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x24 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x26 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x28 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x30 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x32 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x34 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x36 -> Node 0
[ 0.000000] SRAT: PXM 1 -> APIC 0x40 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x42 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x44 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x46 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x48 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x50 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x52 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x54 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x56 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x60 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x62 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x64 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x66 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x68 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x70 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x72 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x74 -> Node 1
[ 0.000000] SRAT: PXM 1 -> APIC 0x76 -> Node 1
[ 0.000000] SRAT: PXM 0 -> APIC 0x01 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x03 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x05 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x07 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x09 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x11 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x13 -> Node

Crearting Ipxe setup

(cli_env) [root@entsol23 log]# cd /var/www/html
(cli_env) [root@entsol23 html]# lsd
-bash: lsd: command not found
(cli_env) [root@entsol23 html]# ls
CentOS7 CentOS-7-x86_64-Minimal.iso sha256sum.txt.asc tcs1 tmp
(cli_env) [root@entsol23 html]# rm -rf *
(cli_env) [root@entsol23 html]# sudo curl -O https://buildlogs.centos.org/rolling/7/isos/x86_64/CentOS-7-x86_64-Minimal.iso
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 633M 100 633M 0 0 16.8M 0 0:00:37 0:00:37 --:--:-- 14.4M
(cli_env) [root@entsol23 html]# sudo curl -O https://buildlogs.centos.org/rolling/7/isos/x86_64/sha256sum.txt.asc
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 12585 100 12585 0 0 18322 0 --:--:-- --:--:-- --:--:-- 85612
(cli_env) [root@entsol23 html]# cat sha256sum.txt.asc | grep CentOS-7-x86_64-Minima
d9d394dcfa40a73cf0cfad9ebc70b54fcdd29861694791a5b678c57368087306 CentOS-7-x86_64-Minimal-1505-01.iso
0039f252fb23e09377550b1d0b301ded87f7edb71f1b593cf17ac288d3adb613 CentOS-7-x86_64-Minimal-1506-01.iso
afdf4b6fb038f1f68cba34b7786d1d60681190d8cc9d6291bbca348899351e76 CentOS-7-x86_64-Minimal-1507-01.iso
58103babe07c1cff0186f91d721dff3a385458f2d49988bf8996e4468d4047dd CentOS-7-x86_64-Minimal-1508-01.iso
4fafcd4abd790b7283d50facd4de41deccb62868e27dad37a54b27129222998c CentOS-7-x86_64-Minimal-1509-01.iso
4f13894cb3fee041e92231b58ae9334af17ed7f03a919d4abb0caad01870dafb CentOS-7-x86_64-Minimal-1510-01.iso
f90e4d28fa377669b2db16cbcb451fcb9a89d2460e3645993e30e137ac37d284 CentOS-7-x86_64-Minimal-1511.iso
25ba82e87a37304e46c15c547bc2b44a921d338debcc6ac65cb3ca0f682a1c1b CentOS-7-x86_64-Minimal-1601-01.iso
741a28e3d42c40ded2e42b83eda4d8d09137b36ceef584753b94abd298d4dfed CentOS-7-x86_64-Minimal-1602-01.iso
58ee68c3ffae5c4ca629be9b992f97d108165e09726d3e8f80798ac9c7a1821e CentOS-7-x86_64-Minimal-1603-02.iso
e1338d13178f1c66c17386b7ced0b1459c677ff9a1cf095ac4db377234cc03fa CentOS-7-x86_64-Minimal-20141129_02.iso
c4da447eba9806d50d8a6369f44d5f847f0da4fd49144e5900227e0ca66ae3b2 CentOS-7-x86_64-Minimal-20150228_01.iso
bb1a6ae55467cf5bf89a000f18022721debaee98ebd2b207a54570ae26c6b3e1 CentOS-7-x86_64-Minimal-1604-01.iso
4adfcbc936c450a9be2626d5b8803b902fee8cf97183d29efa120015e61ec068 CentOS-7-x86_64-Minimal-1605-01.iso
325de970c0c9980bb3de2178da213e67184d9891b6d7699a464190276e7d768b CentOS-7-x86_64-Minimal-1606-01.iso
3f10357cb926466af0db9cd72944536e0e0b496da6ac57004227341c329d81a7 CentOS-7-x86_64-Minimal-1607-01.iso
68be257a16618aa46d1ae779ff6013e9fc6e3b6e9d91f72e782c0b99d74ddcf4 CentOS-7-x86_64-Minimal-1608-01.iso
54721e5e444a3191b18b0fabe1c35e12b65f93aa31732beb7899212d19cab69b CentOS-7-x86_64-Minimal-1609-01.iso
7c3e63accda967ebcb371ca08955c9133172c933e4058e856c6befa27a167dc0 CentOS-7-x86_64-Minimal-1610-01.iso
27bd866242ee058b7a5754e83d8ee8403e216b93d130d800852a96f41c34d86a CentOS-7-x86_64-Minimal-1611.iso
51ba29b6afcc60cc8fbfa79cb9cf5f601d8a4ea5dcb895ccfa0380f58e227143 CentOS-7-x86_64-Minimal-1701-01.iso
2122784c53bd917fa60f6cb22aabee6e9cb22f8f8590c872232e42e6a7c226cc CentOS-7-x86_64-Minimal-1702-01.iso
e909520c41f5bae06d26ea29a066893ffaf7c2a9a1ba1a8ebe62974e1c062b42 CentOS-7-x86_64-Minimal-1704-01.iso
(cli_env) [root@entsol23 html]# sha256sum CentOS-7-x86_64-Minimal.iso
e909520c41f5bae06d26ea29a066893ffaf7c2a9a1ba1a8ebe62974e1c062b42 CentOS-7-x86_64-Minimal.iso
(cli_env) [root@entsol23 html]# sudo mkdir /var/www/html/tmp
(cli_env) [root@entsol23 html]# sudo mount -o loop /var/www/html/CentOS-7-x86_64-Minimal.iso /var/www/html/tmp
mount: /var/www/html/CentOS-7-x86_64-Minimal.iso is write-protected, mounting read-only
(cli_env) [root@entsol23 html]# sudo mkdir /var/www/html/CentOS7
(cli_env) [root@entsol23 html]# sudo cp -v -r /var/www/html/tmp/* /var/www/html/CentOS7/
`/var/www/html/tmp/CentOS_BuildTag' -> `/var/www/html/CentOS7/CentOS_BuildTag'
`/var/www/html/tmp/EFI' -> `/var/www/html/CentOS7/EFI'
`/var/www/html/tmp/EFI/BOOT' -> `/var/www/html/CentOS7/EFI/BOOT'
`/var/www/html/tmp/EFI/BOOT/BOOTX64.EFI' -> `/var/www/html/CentOS7/EFI/BOOT/BOOTX64.EFI'
`/var/www/html/tmp/EFI/BOOT/fonts' -> `/var/www/html/CentOS7/EFI/BOOT/fonts'
`/var/www/html/tmp/EFI/BOOT/fonts/TRANS.TBL' -> `/var/www/html/CentOS7/EFI/BOOT/fonts/TRANS.TBL'
`/var/www/html/tmp/EFI/BOOT/fonts/unicode.pf2' -> `/var/www/html/CentOS7/EFI/BOOT/fonts/unicode.pf2'
`/var/www/html/tmp/EFI/BOOT/grub.cfg' -> `/var/www/html/CentOS7/EFI/BOOT/grub.cfg'
`/var/www/html/tmp/EFI/BOOT/grubx64.efi' -> `/var/www/html/CentOS7/EFI/BOOT/grubx64.efi'
`/var/www/html/tmp/EFI/BOOT/MokManager.efi' -> `/var/www/html/CentOS7/EFI/BOOT/MokManager.efi'
`/var/www/html/tmp/EFI/BOOT/TRANS.TBL' -> `/var/www/html/CentOS7/EFI/BOOT/TRANS.TBL'
`/var/www/html/tmp/EFI/TRANS.TBL' -> `/var/www/html/CentOS7/EFI/TRANS.TBL'
`/var/www/html/tmp/EULA' -> `/var/www/html/CentOS7/EULA'
`/var/www/html/tmp/GPL' -> `/var/www/html/CentOS7/GPL'
`/var/www/html/tmp/images' -> `/var/www/html/CentOS7/images'
`/var/www/html/tmp/images/efiboot.img' -> `/var/www/html/CentOS7/images/efiboot.img'
`/var/www/html/tmp/images/pxeboot' -> `/var/www/html/CentOS7/images/pxeboot'
`/var/www/html/tmp/images/pxeboot/initrd.img' -> `/var/www/html/CentOS7/images/pxeboot/initrd.img'
`/var/www/html/tmp/images/pxeboot/TRANS.TBL' -> `/var/www/html/CentOS7/images/pxeboot/TRANS.TBL'
`/var/www/html/tmp/images/pxeboot/vmlinuz' -> `/var/www/html/CentOS7/images/pxeboot/vmlinuz'
`/var/www/html/tmp/images/TRANS.TBL' -> `/var/www/html/CentOS7/images/TRANS.TBL'
`/var/www/html/tmp/isolinux' -> `/var/www/html/CentOS7/isolinux'
`/var/www/html/tmp/isolinux/boot.cat' -> `/var/www/html/CentOS7/isolinux/boot.cat'
`/var/www/html/tmp/isolinux/boot.msg' -> `/var/www/html/CentOS7/isolinux/boot.msg'
`/var/www/html/tmp/isolinux/grub.conf' -> `/var/www/html/CentOS7/isolinux/grub.conf'
`/var/www/html/tmp/isolinux/initrd.img' -> `/var/www/html/CentOS7/isolinux/initrd.img'
`/var/www/html/tmp/isolinux/isolinux.bin' -> `/var/www/html/CentOS7/isolinux/isolinux.bin'
`/var/www/html/tmp/isolinux/isolinux.cfg' -> `/var/www/html/CentOS7/isolinux/isolinux.cfg'
`/var/www/html/tmp/isolinux/memtest' -> `/var/www/html/CentOS7/isolinux/memtest'
`/var/www/html/tmp/isolinux/splash.png' -> `/var/www/html/CentOS7/isolinux/splash.png'
`/var/www/html/tmp/isolinux/TRANS.TBL' -> `/var/www/html/CentOS7/isolinux/TRANS.TBL'
`/var/www/html/tmp/isolinux/vesamenu.c32' -> `/var/www/html/CentOS7/isolinux/vesamenu.c32'
`/var/www/html/tmp/isolinux/vmlinuz' -> `/var/www/html/CentOS7/isolinux/vmlinuz'
`/var/www/html/tmp/LiveOS' -> `/var/www/html/CentOS7/LiveOS'
`/var/www/html/tmp/LiveOS/squashfs.img' -> `/var/www/html/CentOS7/LiveOS/squashfs.img'
`/var/www/html/tmp/LiveOS/TRANS.TBL' -> `/var/www/html/CentOS7/LiveOS/TRANS.TBL'
`/var/www/html/tmp/Packages' -> `/var/www/html/CentOS7/Packages'
`/var/www/html/tmp/Packages/acl-2.2.51-12.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/acl-2.2.51-12.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/aic94xx-firmware-30-6.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/aic94xx-firmware-30-6.el7.noarch.rpm'
`/var/www/html/tmp/Packages/alsa-firmware-1.0.28-2.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/alsa-firmware-1.0.28-2.el7.noarch.rpm'
`/var/www/html/tmp/Packages/alsa-lib-1.1.1-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/alsa-lib-1.1.1-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/alsa-tools-firmware-1.1.0-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/alsa-tools-firmware-1.1.0-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/audit-2.6.5-3.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/audit-2.6.5-3.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/audit-libs-2.6.5-3.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/audit-libs-2.6.5-3.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/authconfig-6.2.8-14.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/authconfig-6.2.8-14.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/avahi-0.6.31-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/avahi-0.6.31-17.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/avahi-autoipd-0.6.31-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/avahi-autoipd-0.6.31-17.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/avahi-libs-0.6.31-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/avahi-libs-0.6.31-17.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/basesystem-10.0-7.el7.centos.noarch.rpm' -> `/var/www/html/CentOS7/Packages/basesystem-10.0-7.el7.centos.noarch.rpm'
`/var/www/html/tmp/Packages/bash-4.2.46-21.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/bash-4.2.46-21.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/bind-libs-lite-9.9.4-38.el7_3.3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/bind-libs-lite-9.9.4-38.el7_3.3.x86_64.rpm'
`/var/www/html/tmp/Packages/bind-license-9.9.4-38.el7_3.3.noarch.rpm' -> `/var/www/html/CentOS7/Packages/bind-license-9.9.4-38.el7_3.3.noarch.rpm'
`/var/www/html/tmp/Packages/binutils-2.25.1-22.base.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/binutils-2.25.1-22.base.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/biosdevname-0.7.2-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/biosdevname-0.7.2-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/bluez-libs-5.41-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/bluez-libs-5.41-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/boost-system-1.53.0-26.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/boost-system-1.53.0-26.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/boost-thread-1.53.0-26.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/boost-thread-1.53.0-26.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/btrfs-progs-4.4.1-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/btrfs-progs-4.4.1-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/bzip2-libs-1.0.6-13.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/bzip2-libs-1.0.6-13.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ca-certificates-2017.2.11-70.1.el7_3.noarch.rpm' -> `/var/www/html/CentOS7/Packages/ca-certificates-2017.2.11-70.1.el7_3.noarch.rpm'
`/var/www/html/tmp/Packages/centos-logos-70.0.6-3.el7.centos.noarch.rpm' -> `/var/www/html/CentOS7/Packages/centos-logos-70.0.6-3.el7.centos.noarch.rpm'
`/var/www/html/tmp/Packages/centos-release-7-3.1611.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/centos-release-7-3.1611.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/chkconfig-1.7.2-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/chkconfig-1.7.2-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/chrony-2.1.1-4.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/chrony-2.1.1-4.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/coreutils-8.22-18.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/coreutils-8.22-18.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/cpio-2.11-24.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cpio-2.11-24.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/cracklib-dicts-2.9.0-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cracklib-dicts-2.9.0-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/cracklib-2.9.0-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cracklib-2.9.0-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/cronie-1.4.11-14.el7_2.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cronie-1.4.11-14.el7_2.1.x86_64.rpm'
`/var/www/html/tmp/Packages/cronie-anacron-1.4.11-14.el7_2.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cronie-anacron-1.4.11-14.el7_2.1.x86_64.rpm'
`/var/www/html/tmp/Packages/crontabs-1.11-6.20121102git.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/crontabs-1.11-6.20121102git.el7.noarch.rpm'
`/var/www/html/tmp/Packages/cryptsetup-libs-1.7.2-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cryptsetup-libs-1.7.2-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/cryptsetup-1.7.2-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cryptsetup-1.7.2-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/curl-7.29.0-35.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/curl-7.29.0-35.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/cyrus-sasl-lib-2.1.26-20.el7_2.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/cyrus-sasl-lib-2.1.26-20.el7_2.x86_64.rpm'
`/var/www/html/tmp/Packages/dbus-1.6.12-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dbus-1.6.12-17.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dbus-glib-0.100-7.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dbus-glib-0.100-7.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dbus-libs-1.6.12-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dbus-libs-1.6.12-17.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dbus-python-1.1.1-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dbus-python-1.1.1-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/device-mapper-persistent-data-0.6.3-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/device-mapper-persistent-data-0.6.3-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/device-mapper-multipath-libs-0.4.9-99.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/device-mapper-multipath-libs-0.4.9-99.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/device-mapper-multipath-0.4.9-99.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/device-mapper-multipath-0.4.9-99.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/device-mapper-libs-1.02.135-1.el7_3.4.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/device-mapper-libs-1.02.135-1.el7_3.4.x86_64.rpm'
`/var/www/html/tmp/Packages/device-mapper-event-libs-1.02.135-1.el7_3.4.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/device-mapper-event-libs-1.02.135-1.el7_3.4.x86_64.rpm'
`/var/www/html/tmp/Packages/device-mapper-event-1.02.135-1.el7_3.4.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/device-mapper-event-1.02.135-1.el7_3.4.x86_64.rpm'
`/var/www/html/tmp/Packages/device-mapper-1.02.135-1.el7_3.4.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/device-mapper-1.02.135-1.el7_3.4.x86_64.rpm'
`/var/www/html/tmp/Packages/dhclient-4.2.5-47.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dhclient-4.2.5-47.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/dhcp-common-4.2.5-47.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dhcp-common-4.2.5-47.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/dhcp-libs-4.2.5-47.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dhcp-libs-4.2.5-47.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/diffutils-3.3-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/diffutils-3.3-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dmidecode-3.0-2.1.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dmidecode-3.0-2.1.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/dmraid-1.0.0.rc16-28.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dmraid-1.0.0.rc16-28.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dmraid-events-1.0.0.rc16-28.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dmraid-events-1.0.0.rc16-28.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dnsmasq-2.66-21.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dnsmasq-2.66-21.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dosfstools-3.0.20-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dosfstools-3.0.20-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dracut-033-463.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dracut-033-463.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dracut-config-rescue-033-463.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dracut-config-rescue-033-463.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/dracut-network-033-463.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/dracut-network-033-463.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/e2fsprogs-libs-1.42.9-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/e2fsprogs-libs-1.42.9-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/e2fsprogs-1.42.9-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/e2fsprogs-1.42.9-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ebtables-2.0.10-15.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ebtables-2.0.10-15.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/efibootmgr-0.8.0-10.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/efibootmgr-0.8.0-10.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/efivar-libs-0.11-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/efivar-libs-0.11-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/elfutils-libs-0.166-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/elfutils-libs-0.166-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/elfutils-libelf-0.166-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/elfutils-libelf-0.166-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ethtool-4.5-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ethtool-4.5-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/expat-2.1.0-10.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/expat-2.1.0-10.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/fcoe-utils-1.0.31-1.git5dfd3e4.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/fcoe-utils-1.0.31-1.git5dfd3e4.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/filesystem-3.2-21.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/filesystem-3.2-21.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/file-5.11-33.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/file-5.11-33.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/file-libs-5.11-33.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/file-libs-5.11-33.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/findutils-4.5.11-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/findutils-4.5.11-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/fipscheck-lib-1.4.1-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/fipscheck-lib-1.4.1-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/fipscheck-1.4.1-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/fipscheck-1.4.1-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/firewalld-filesystem-0.4.3.2-8.1.el7_3.2.noarch.rpm' -> `/var/www/html/CentOS7/Packages/firewalld-filesystem-0.4.3.2-8.1.el7_3.2.noarch.rpm'
`/var/www/html/tmp/Packages/firewalld-0.4.3.2-8.1.el7_3.2.noarch.rpm' -> `/var/www/html/CentOS7/Packages/firewalld-0.4.3.2-8.1.el7_3.2.noarch.rpm'
`/var/www/html/tmp/Packages/freetype-2.4.11-12.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/freetype-2.4.11-12.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/fxload-2002_04_11-16.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/fxload-2002_04_11-16.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gawk-4.0.2-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gawk-4.0.2-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gdbm-1.10-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gdbm-1.10-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/GeoIP-1.5.0-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/GeoIP-1.5.0-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gettext-libs-0.18.2.1-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gettext-libs-0.18.2.1-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gettext-0.18.2.1-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gettext-0.18.2.1-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/glib2-2.46.2-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/glib2-2.46.2-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/glibc-2.17-157.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/glibc-2.17-157.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/glibc-common-2.17-157.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/glibc-common-2.17-157.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/glib-networking-2.42.0-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/glib-networking-2.42.0-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gmp-6.0.0-12.el7_1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gmp-6.0.0-12.el7_1.x86_64.rpm'
`/var/www/html/tmp/Packages/gnupg2-2.0.22-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gnupg2-2.0.22-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gnutls-3.3.24-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gnutls-3.3.24-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gobject-introspection-1.42.0-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gobject-introspection-1.42.0-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gpgme-1.3.2-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gpgme-1.3.2-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/grep-2.20-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/grep-2.20-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/groff-base-1.22.2-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/groff-base-1.22.2-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/grub2-2.02-0.44.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/grub2-2.02-0.44.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/grub2-efi-2.02-0.44.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/grub2-efi-2.02-0.44.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/grub2-tools-2.02-0.44.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/grub2-tools-2.02-0.44.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/grubby-8.28-21.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/grubby-8.28-21.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/gsettings-desktop-schemas-3.14.2-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gsettings-desktop-schemas-3.14.2-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/gzip-1.5-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/gzip-1.5-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/hardlink-1.0-19.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/hardlink-1.0-19.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/hostname-3.13-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/hostname-3.13-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/hwdata-0.252-8.4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/hwdata-0.252-8.4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/info-5.1-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/info-5.1-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/initscripts-9.49.37-1.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/initscripts-9.49.37-1.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/iproute-3.10.0-74.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/iproute-3.10.0-74.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/iprutils-2.4.13.1-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/iprutils-2.4.13.1-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ipset-6.19-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ipset-6.19-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ipset-libs-6.19-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ipset-libs-6.19-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/iptables-1.4.21-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/iptables-1.4.21-17.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/iputils-20160308-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/iputils-20160308-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/irqbalance-1.0.7-6.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/irqbalance-1.0.7-6.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/iscsi-initiator-utils-iscsiuio-6.2.0.873-35.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/iscsi-initiator-utils-iscsiuio-6.2.0.873-35.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/iscsi-initiator-utils-6.2.0.873-35.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/iscsi-initiator-utils-6.2.0.873-35.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ivtv-firmware-20080701-26.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/ivtv-firmware-20080701-26.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl1000-firmware-39.31.5.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl1000-firmware-39.31.5.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl100-firmware-39.31.5.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl100-firmware-39.31.5.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl105-firmware-18.168.6.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl105-firmware-18.168.6.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl135-firmware-18.168.6.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl135-firmware-18.168.6.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl2000-firmware-18.168.6.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl2000-firmware-18.168.6.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl2030-firmware-18.168.6.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl2030-firmware-18.168.6.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl3160-firmware-22.0.7.0-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl3160-firmware-22.0.7.0-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl3945-firmware-15.32.2.9-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl3945-firmware-15.32.2.9-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl4965-firmware-228.61.2.24-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl4965-firmware-228.61.2.24-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl5000-firmware-8.83.5.1_1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl5000-firmware-8.83.5.1_1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl5150-firmware-8.24.2.2-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl5150-firmware-8.24.2.2-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl6000g2b-firmware-17.168.5.2-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl6000g2b-firmware-17.168.5.2-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl6000g2a-firmware-17.168.5.3-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl6000g2a-firmware-17.168.5.3-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl6000-firmware-9.221.4.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl6000-firmware-9.221.4.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl6050-firmware-41.28.5.1-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl6050-firmware-41.28.5.1-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl7260-firmware-22.0.7.0-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl7260-firmware-22.0.7.0-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/iwl7265-firmware-22.0.7.0-49.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/iwl7265-firmware-22.0.7.0-49.el7.noarch.rpm'
`/var/www/html/tmp/Packages/jansson-2.4-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/jansson-2.4-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/json-c-0.11-4.el7_0.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/json-c-0.11-4.el7_0.x86_64.rpm'
`/var/www/html/tmp/Packages/kbd-1.15.5-12.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kbd-1.15.5-12.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/kbd-legacy-1.15.5-12.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/kbd-legacy-1.15.5-12.el7.noarch.rpm'
`/var/www/html/tmp/Packages/kbd-misc-1.15.5-12.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/kbd-misc-1.15.5-12.el7.noarch.rpm'
`/var/www/html/tmp/Packages/kernel-tools-libs-3.10.0-514.16.1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kernel-tools-libs-3.10.0-514.16.1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/kernel-3.10.0-514.16.1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kernel-3.10.0-514.16.1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/kernel-tools-3.10.0-514.16.1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kernel-tools-3.10.0-514.16.1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/kexec-tools-2.0.7-50.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kexec-tools-2.0.7-50.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/keyutils-libs-1.5.8-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/keyutils-libs-1.5.8-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/kmod-20-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kmod-20-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/kmod-libs-20-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kmod-libs-20-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/kpartx-0.4.9-99.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/kpartx-0.4.9-99.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/krb5-libs-1.14.1-27.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/krb5-libs-1.14.1-27.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/less-458-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/less-458-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libacl-2.2.51-12.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libacl-2.2.51-12.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libaio-0.3.109-13.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libaio-0.3.109-13.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libassuan-2.1.0-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libassuan-2.1.0-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libattr-2.4.46-12.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libattr-2.4.46-12.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libblkid-2.23.2-33.el7_3.2.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libblkid-2.23.2-33.el7_3.2.x86_64.rpm'
`/var/www/html/tmp/Packages/libcap-2.22-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libcap-2.22-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libcap-ng-0.7.5-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libcap-ng-0.7.5-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libcom_err-1.42.9-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libcom_err-1.42.9-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libconfig-1.4.9-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libconfig-1.4.9-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libcroco-0.6.8-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libcroco-0.6.8-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libcurl-7.29.0-35.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libcurl-7.29.0-35.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/libdaemon-0.14-7.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libdaemon-0.14-7.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libdb-5.3.21-19.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libdb-5.3.21-19.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libdb-utils-5.3.21-19.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libdb-utils-5.3.21-19.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libdrm-2.4.67-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libdrm-2.4.67-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libedit-3.0-12.20121213cvs.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libedit-3.0-12.20121213cvs.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libestr-0.1.9-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libestr-0.1.9-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libffi-3.0.13-18.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libffi-3.0.13-18.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libgcc-4.8.5-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libgcc-4.8.5-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libgcrypt-1.5.3-13.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libgcrypt-1.5.3-13.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/libgomp-4.8.5-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libgomp-4.8.5-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libgpg-error-1.12-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libgpg-error-1.12-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libgudev1-219-30.el7_3.8.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libgudev1-219-30.el7_3.8.x86_64.rpm'
`/var/www/html/tmp/Packages/libhbaapi-2.2.9-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libhbaapi-2.2.9-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libhbalinux-1.0.17-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libhbalinux-1.0.17-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libidn-1.28-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libidn-1.28-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libmnl-1.0.3-7.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libmnl-1.0.3-7.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libmodman-2.0.1-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libmodman-2.0.1-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libmount-2.23.2-33.el7_3.2.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libmount-2.23.2-33.el7_3.2.x86_64.rpm'
`/var/www/html/tmp/Packages/libndp-1.2-7.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libndp-1.2-7.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libnetfilter_conntrack-1.0.4-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libnetfilter_conntrack-1.0.4-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libnfnetlink-1.0.1-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libnfnetlink-1.0.1-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libnl3-3.2.28-3.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libnl3-3.2.28-3.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/libnl3-cli-3.2.28-3.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libnl3-cli-3.2.28-3.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/libnl-1.1.4-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libnl-1.1.4-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libpcap-1.5.3-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libpcap-1.5.3-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libpciaccess-0.13.4-3.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libpciaccess-0.13.4-3.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/libpipeline-1.2.3-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libpipeline-1.2.3-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libproxy-0.4.11-10.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libproxy-0.4.11-10.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libpwquality-1.2.3-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libpwquality-1.2.3-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/librados2-0.94.5-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/librados2-0.94.5-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libreport-filesystem-2.1.11-35.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libreport-filesystem-2.1.11-35.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/libselinux-utils-2.5-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libselinux-utils-2.5-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libselinux-python-2.5-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libselinux-python-2.5-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libselinux-2.5-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libselinux-2.5-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libsemanage-2.5-5.1.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libsemanage-2.5-5.1.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/libsepol-2.5-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libsepol-2.5-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libsoup-2.48.1-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libsoup-2.48.1-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libssh2-1.4.3-10.el7_2.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libssh2-1.4.3-10.el7_2.1.x86_64.rpm'
`/var/www/html/tmp/Packages/libss-1.42.9-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libss-1.42.9-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libstdc++-4.8.5-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libstdc++-4.8.5-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libsysfs-2.1.0-16.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libsysfs-2.1.0-16.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libtasn1-3.8-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libtasn1-3.8-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libteam-1.25-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libteam-1.25-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libunistring-0.9.3-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libunistring-0.9.3-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libuser-0.60-7.el7_1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libuser-0.60-7.el7_1.x86_64.rpm'
`/var/www/html/tmp/Packages/libutempter-1.1.6-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libutempter-1.1.6-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libuuid-2.23.2-33.el7_3.2.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libuuid-2.23.2-33.el7_3.2.x86_64.rpm'
`/var/www/html/tmp/Packages/libverto-0.2.5-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libverto-0.2.5-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/libxml2-2.9.1-6.el7_2.3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libxml2-2.9.1-6.el7_2.3.x86_64.rpm'
`/var/www/html/tmp/Packages/libxslt-1.1.28-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/libxslt-1.1.28-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/linux-firmware-20160830-49.git7534e19.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/linux-firmware-20160830-49.git7534e19.el7.noarch.rpm'
`/var/www/html/tmp/Packages/lldpad-1.0.1-3.git036e314.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/lldpad-1.0.1-3.git036e314.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/logrotate-3.8.6-12.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/logrotate-3.8.6-12.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/lsscsi-0.27-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/lsscsi-0.27-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/lua-5.1.4-15.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/lua-5.1.4-15.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/lvm2-2.02.166-1.el7_3.4.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/lvm2-2.02.166-1.el7_3.4.x86_64.rpm'
`/var/www/html/tmp/Packages/lvm2-libs-2.02.166-1.el7_3.4.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/lvm2-libs-2.02.166-1.el7_3.4.x86_64.rpm'
`/var/www/html/tmp/Packages/lzo-2.06-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/lzo-2.06-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/make-3.82-23.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/make-3.82-23.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/man-db-2.6.3-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/man-db-2.6.3-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/mariadb-libs-5.5.52-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/mariadb-libs-5.5.52-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/mdadm-3.4-14.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/mdadm-3.4-14.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/microcode_ctl-2.1-16.3.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/microcode_ctl-2.1-16.3.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/ModemManager-glib-1.6.0-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ModemManager-glib-1.6.0-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/mokutil-0.9-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/mokutil-0.9-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/mozjs17-17.0.0-19.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/mozjs17-17.0.0-19.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ncurses-libs-5.9-13.20130511.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ncurses-libs-5.9-13.20130511.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ncurses-base-5.9-13.20130511.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/ncurses-base-5.9-13.20130511.el7.noarch.rpm'
`/var/www/html/tmp/Packages/ncurses-5.9-13.20130511.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ncurses-5.9-13.20130511.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/nettle-2.7.1-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nettle-2.7.1-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-wwan-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-wwan-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-wifi-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-wifi-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-tui-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-tui-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-team-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-team-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-libnm-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-libnm-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-glib-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-glib-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-config-server-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-config-server-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-bluetooth-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-bluetooth-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-adsl-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-adsl-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/NetworkManager-1.4.0-19.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/NetworkManager-1.4.0-19.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/newt-0.52.15-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/newt-0.52.15-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/newt-python-0.52.15-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/newt-python-0.52.15-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/nspr-4.13.1-1.0.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nspr-4.13.1-1.0.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/nss-3.28.4-1.0.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nss-3.28.4-1.0.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/nss-softokn-freebl-3.16.2.3-14.4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nss-softokn-freebl-3.16.2.3-14.4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/nss-softokn-3.16.2.3-14.4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nss-softokn-3.16.2.3-14.4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/nss-sysinit-3.28.4-1.0.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nss-sysinit-3.28.4-1.0.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/nss-tools-3.28.4-1.0.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nss-tools-3.28.4-1.0.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/nss-util-3.28.4-1.0.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/nss-util-3.28.4-1.0.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/numactl-libs-2.0.9-6.el7_2.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/numactl-libs-2.0.9-6.el7_2.x86_64.rpm'
`/var/www/html/tmp/Packages/openldap-2.4.40-13.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openldap-2.4.40-13.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/openssl-libs-1.0.1e-60.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openssl-libs-1.0.1e-60.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/openssh-server-6.6.1p1-35.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openssh-server-6.6.1p1-35.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/openssh-clients-6.6.1p1-35.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openssh-clients-6.6.1p1-35.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/openscap-scanner-1.2.10-3.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openscap-scanner-1.2.10-3.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/openscap-1.2.10-3.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openscap-1.2.10-3.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/openssh-6.6.1p1-35.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openssh-6.6.1p1-35.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/openssl-1.0.1e-60.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/openssl-1.0.1e-60.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/os-prober-1.58-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/os-prober-1.58-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/p11-kit-trust-0.20.7-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/p11-kit-trust-0.20.7-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/p11-kit-0.20.7-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/p11-kit-0.20.7-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pam-1.1.8-18.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pam-1.1.8-18.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/parted-3.1-28.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/parted-3.1-28.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/passwd-0.79-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/passwd-0.79-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pciutils-libs-3.5.1-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pciutils-libs-3.5.1-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pciutils-3.5.1-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pciutils-3.5.1-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pcre-8.32-15.el7_2.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pcre-8.32-15.el7_2.1.x86_64.rpm'
`/var/www/html/tmp/Packages/pinentry-0.8.1-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pinentry-0.8.1-17.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pkgconfig-0.27.1-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pkgconfig-0.27.1-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/plymouth-scripts-0.8.9-0.26.20140113.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/plymouth-scripts-0.8.9-0.26.20140113.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/plymouth-core-libs-0.8.9-0.26.20140113.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/plymouth-core-libs-0.8.9-0.26.20140113.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/plymouth-0.8.9-0.26.20140113.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/plymouth-0.8.9-0.26.20140113.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/policycoreutils-2.5-11.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/policycoreutils-2.5-11.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/polkit-0.112-11.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/polkit-0.112-11.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/polkit-pkla-compat-0.1-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/polkit-pkla-compat-0.1-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/popt-1.13-16.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/popt-1.13-16.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/postfix-2.10.1-6.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/postfix-2.10.1-6.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/ppp-2.4.5-33.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ppp-2.4.5-33.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/procps-ng-3.3.10-10.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/procps-ng-3.3.10-10.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pth-2.0.7-23.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pth-2.0.7-23.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pygobject3-base-3.14.0-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pygobject3-base-3.14.0-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pygpgme-0.3-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pygpgme-0.3-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/pyliblzma-0.5.3-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pyliblzma-0.5.3-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/python-slip-dbus-0.4.0-2.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-slip-dbus-0.4.0-2.el7.noarch.rpm'
`/var/www/html/tmp/Packages/python-slip-0.4.0-2.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-slip-0.4.0-2.el7.noarch.rpm'
`/var/www/html/tmp/Packages/python-pyudev-0.15-7.el7_2.1.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-pyudev-0.15-7.el7_2.1.noarch.rpm'
`/var/www/html/tmp/Packages/python-pycurl-7.19.0-19.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/python-pycurl-7.19.0-19.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/python-backports-ssl_match_hostname-3.4.0.2-4.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-backports-ssl_match_hostname-3.4.0.2-4.el7.noarch.rpm'
`/var/www/html/tmp/Packages/python-2.7.5-48.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/python-2.7.5-48.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/python-backports-1.0-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/python-backports-1.0-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/python-configobj-4.7.2-7.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-configobj-4.7.2-7.el7.noarch.rpm'
`/var/www/html/tmp/Packages/python-decorator-3.4.0-3.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-decorator-3.4.0-3.el7.noarch.rpm'
`/var/www/html/tmp/Packages/python-firewall-0.4.3.2-8.1.el7_3.2.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-firewall-0.4.3.2-8.1.el7_3.2.noarch.rpm'
`/var/www/html/tmp/Packages/python-iniparse-0.4-9.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-iniparse-0.4-9.el7.noarch.rpm'
`/var/www/html/tmp/Packages/python-libs-2.7.5-48.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/python-libs-2.7.5-48.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/python-perf-3.10.0-514.16.1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/python-perf-3.10.0-514.16.1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/python-setuptools-0.9.8-4.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-setuptools-0.9.8-4.el7.noarch.rpm'
`/var/www/html/tmp/Packages/python-urlgrabber-3.10-8.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/python-urlgrabber-3.10-8.el7.noarch.rpm'
`/var/www/html/tmp/Packages/pyxattr-0.5.1-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/pyxattr-0.5.1-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/qrencode-libs-3.4.1-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/qrencode-libs-3.4.1-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/rdma-7.3_4.7_rc2-5.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/rdma-7.3_4.7_rc2-5.el7.noarch.rpm'
`/var/www/html/tmp/Packages/readline-6.2-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/readline-6.2-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/rootfiles-8.1-11.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/rootfiles-8.1-11.el7.noarch.rpm'
`/var/www/html/tmp/Packages/rpm-4.11.3-21.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/rpm-4.11.3-21.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/rpm-build-libs-4.11.3-21.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/rpm-build-libs-4.11.3-21.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/rpm-libs-4.11.3-21.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/rpm-libs-4.11.3-21.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/rpm-python-4.11.3-21.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/rpm-python-4.11.3-21.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/rsyslog-7.4.7-16.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/rsyslog-7.4.7-16.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/scap-security-guide-0.1.30-5.el7.centos.noarch.rpm' -> `/var/www/html/CentOS7/Packages/scap-security-guide-0.1.30-5.el7.centos.noarch.rpm'
`/var/www/html/tmp/Packages/sed-4.2.2-5.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/sed-4.2.2-5.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/selinux-policy-targeted-3.13.1-102.el7_3.16.noarch.rpm' -> `/var/www/html/CentOS7/Packages/selinux-policy-targeted-3.13.1-102.el7_3.16.noarch.rpm'
`/var/www/html/tmp/Packages/selinux-policy-3.13.1-102.el7_3.16.noarch.rpm' -> `/var/www/html/CentOS7/Packages/selinux-policy-3.13.1-102.el7_3.16.noarch.rpm'
`/var/www/html/tmp/Packages/setup-2.8.71-7.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/setup-2.8.71-7.el7.noarch.rpm'
`/var/www/html/tmp/Packages/sgpio-1.2.0.10-13.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/sgpio-1.2.0.10-13.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/shadow-utils-4.1.5.1-24.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/shadow-utils-4.1.5.1-24.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/shared-mime-info-1.1-9.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/shared-mime-info-1.1-9.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/shim-0.9-2.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/shim-0.9-2.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/shim-unsigned-0.9-1.el7.centos.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/shim-unsigned-0.9-1.el7.centos.x86_64.rpm'
`/var/www/html/tmp/Packages/slang-2.2.4-11.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/slang-2.2.4-11.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/snappy-1.1.0-3.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/snappy-1.1.0-3.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/sqlite-3.7.17-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/sqlite-3.7.17-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/sudo-1.8.6p7-21.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/sudo-1.8.6p7-21.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/systemd-sysv-219-30.el7_3.8.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/systemd-sysv-219-30.el7_3.8.x86_64.rpm'
`/var/www/html/tmp/Packages/systemd-libs-219-30.el7_3.8.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/systemd-libs-219-30.el7_3.8.x86_64.rpm'
`/var/www/html/tmp/Packages/systemd-219-30.el7_3.8.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/systemd-219-30.el7_3.8.x86_64.rpm'
`/var/www/html/tmp/Packages/sysvinit-tools-2.88-14.dsf.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/sysvinit-tools-2.88-14.dsf.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/tar-1.26-31.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/tar-1.26-31.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/tcp_wrappers-libs-7.6-77.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/tcp_wrappers-libs-7.6-77.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/teamd-1.25-4.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/teamd-1.25-4.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/TRANS.TBL' -> `/var/www/html/CentOS7/Packages/TRANS.TBL'
`/var/www/html/tmp/Packages/trousers-0.3.13-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/trousers-0.3.13-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/tuned-2.7.1-3.el7_3.1.noarch.rpm' -> `/var/www/html/CentOS7/Packages/tuned-2.7.1-3.el7_3.1.noarch.rpm'
`/var/www/html/tmp/Packages/tzdata-2017b-1.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/tzdata-2017b-1.el7.noarch.rpm'
`/var/www/html/tmp/Packages/ustr-1.0.4-16.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/ustr-1.0.4-16.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/util-linux-2.23.2-33.el7_3.2.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/util-linux-2.23.2-33.el7_3.2.x86_64.rpm'
`/var/www/html/tmp/Packages/vim-minimal-7.4.160-1.el7_3.1.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/vim-minimal-7.4.160-1.el7_3.1.x86_64.rpm'
`/var/www/html/tmp/Packages/virt-what-1.13-8.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/virt-what-1.13-8.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/which-2.20-7.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/which-2.20-7.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/wpa_supplicant-2.0-21.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/wpa_supplicant-2.0-21.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/xfsprogs-4.5.0-9.el7_3.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/xfsprogs-4.5.0-9.el7_3.x86_64.rpm'
`/var/www/html/tmp/Packages/xml-common-0.6.3-39.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/xml-common-0.6.3-39.el7.noarch.rpm'
`/var/www/html/tmp/Packages/xz-5.2.2-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/xz-5.2.2-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/xz-libs-5.2.2-1.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/xz-libs-5.2.2-1.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/yum-3.4.3-150.el7.centos.noarch.rpm' -> `/var/www/html/CentOS7/Packages/yum-3.4.3-150.el7.centos.noarch.rpm'
`/var/www/html/tmp/Packages/yum-metadata-parser-1.1.4-10.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/yum-metadata-parser-1.1.4-10.el7.x86_64.rpm'
`/var/www/html/tmp/Packages/yum-plugin-fastestmirror-1.1.31-40.el7.noarch.rpm' -> `/var/www/html/CentOS7/Packages/yum-plugin-fastestmirror-1.1.31-40.el7.noarch.rpm'
`/var/www/html/tmp/Packages/zlib-1.2.7-17.el7.x86_64.rpm' -> `/var/www/html/CentOS7/Packages/zlib-1.2.7-17.el7.x86_64.rpm'
`/var/www/html/tmp/repodata' -> `/var/www/html/CentOS7/repodata'
`/var/www/html/tmp/repodata/00b0e53ddf6242f061576857c0e8babfe878dc7079558390d607d061500738f2-other.xml.gz' -> `/var/www/html/CentOS7/repodata/00b0e53ddf6242f061576857c0e8babfe878dc7079558390d607d061500738f2-other.xml.gz'
`/var/www/html/tmp/repodata/0e17fd59f0c0640a28c4f9a6e82d799e70be8e37bf1b60ac67a7537eed9cf384-other.sqlite.bz2' -> `/var/www/html/CentOS7/repodata/0e17fd59f0c0640a28c4f9a6e82d799e70be8e37bf1b60ac67a7537eed9cf384-other.sqlite.bz2'
`/var/www/html/tmp/repodata/1002a8d64bf9070535bc551e6407ce0640ef910dc54b4c6298949709deea1e3b-primary.sqlite.bz2' -> `/var/www/html/CentOS7/repodata/1002a8d64bf9070535bc551e6407ce0640ef910dc54b4c6298949709deea1e3b-primary.sqlite.bz2'
`/var/www/html/tmp/repodata/40e13497226e66fa64f59a088a6456b9e5a12b286084fb54095a806b1f55b620-primary.xml.gz' -> `/var/www/html/CentOS7/repodata/40e13497226e66fa64f59a088a6456b9e5a12b286084fb54095a806b1f55b620-primary.xml.gz'
`/var/www/html/tmp/repodata/83b61f9495b5f728989499479e928e09851199a8846ea37ce008a3eb79ad84a0-comps.xml' -> `/var/www/html/CentOS7/repodata/83b61f9495b5f728989499479e928e09851199a8846ea37ce008a3eb79ad84a0-comps.xml'
`/var/www/html/tmp/repodata/a21b11e3ed115a68f1e9b2e35e3c63172f02382907ff2673b3780e088d405b64-filelists.xml.gz' -> `/var/www/html/CentOS7/repodata/a21b11e3ed115a68f1e9b2e35e3c63172f02382907ff2673b3780e088d405b64-filelists.xml.gz'
`/var/www/html/tmp/repodata/c9c1a7e51a306ea161ebe1bbcdfcacd79784907d48493e199836cbeaafc65c9e-filelists.sqlite.bz2' -> `/var/www/html/CentOS7/repodata/c9c1a7e51a306ea161ebe1bbcdfcacd79784907d48493e199836cbeaafc65c9e-filelists.sqlite.bz2'
`/var/www/html/tmp/repodata/d4de4d1e2d2597c177bb095da8f1ad794d69f76e8ac7ab1ba6340fdd0969e936-comps.xml.gz' -> `/var/www/html/CentOS7/repodata/d4de4d1e2d2597c177bb095da8f1ad794d69f76e8ac7ab1ba6340fdd0969e936-comps.xml.gz'
`/var/www/html/tmp/repodata/repomd.xml' -> `/var/www/html/CentOS7/repodata/repomd.xml'
`/var/www/html/tmp/repodata/TRANS.TBL' -> `/var/www/html/CentOS7/repodata/TRANS.TBL'
`/var/www/html/tmp/RPM-GPG-KEY-CentOS-7' -> `/var/www/html/CentOS7/RPM-GPG-KEY-CentOS-7'
`/var/www/html/tmp/RPM-GPG-KEY-CentOS-Testing-7' -> `/var/www/html/CentOS7/RPM-GPG-KEY-CentOS-Testing-7'
`/var/www/html/tmp/TRANS.TBL' -> `/var/www/html/CentOS7/TRANS.TBL'
(cli_env) [root@entsol23 html]# sudo umount /var/www/html/tmp
(cli_env) [root@entsol23 html]# sudo rmdir /var/www/html/tmp
(cli_env) [root@entsol23 html]# sudo mkdir /var/www/html/CentOS7/addons
(cli_env) [root@entsol23 html]# cd /var/www/html/CentOS7/addons
(cli_env) [root@entsol23 addons]# cp ~opc/
.bash_history .bashrc byoiSupportFiles.zip console2 nohup.out
.bash_logout bmcs_api_key_public.pem .cache/ console4 .ssh/
.bash_profile byoiSupportFiles/ console1 .lesshst .Xauthority
(cli_env) [root@entsol23 addons]# cp ~opc/
.bash_history .bashrc byoiSupportFiles.zip console2 nohup.out
.bash_logout bmcs_api_key_public.pem .cache/ console4 .ssh/
.bash_profile byoiSupportFiles/ console1 .lesshst .Xauthority
(cli_env) [root@entsol23 addons]# cp ~opc/
.bash_history .bashrc byoiSupportFiles.zip console2 nohup.out
.bash_logout bmcs_api_key_public.pem .cache/ console4 .ssh/
.bash_profile byoiSupportFiles/ console1 .lesshst .Xauthority
(cli_env) [root@entsol23 addons]# cp ~opc/
.bash_history .bashrc byoiSupportFiles.zip console2 nohup.out
.bash_logout bmcs_api_key_public.pem .cache/ console4 .ssh/
.bash_profile byoiSupportFiles/ console1 .lesshst .Xauthority
(cli_env) [root@entsol23 addons]# cp ~opc/byoiSupportFiles/
cloud.cfg direct.xml ipxescript ipxescript_tcs ks.cfg repack/ repack.sh
(cli_env) [root@entsol23 addons]# cp ~opc/byoiSupportFiles/* .
cp: omitting directory `/home/opc/byoiSupportFiles/repack'
(cli_env) [root@entsol23 addons]# ls
cloud.cfg direct.xml ipxescript ipxescript_tcs ks.cfg repack.sh
(cli_env) [root@entsol23 addons]# ip=`ip addr | grep 'state UP' -A2 | tail -n1 | awk '{print $2}' | cut -f1 -d'/'`;for file in `find -O1 . -type f`; do sudo sed -i "s/<IP>/$ip/g" $file ; done
(cli_env) [root@entsol23 addons]# sudo chmod +x repack.sh
(cli_env) [root@entsol23 addons]# sudo ./repack.sh -i /var/www/html/CentOS7/images/pxeboot/initrd.img
: invalid option
(cli_env) [root@entsol23 addons]# dos2unix repack.sh
dos2unix: converting file repack.sh to UNIX format ...
(cli_env) [root@entsol23 addons]# sudo ./repack.sh -i /var/www/html/CentOS7/images/pxeboot/initrd.img
Working...
Old kernel version: 3.10.0-514.el7.x86_64
New kernel version: 4.11.3-1.el7.elrepo.x86_64
Downloading kernel-ml-4.11.3-1.el7.elrepo.x86_64.rpm from http://elrepo.org/linux/kernel/el7/x86_64/RPMS/ ...
338405 blocks
305663 blocks
507568 blocks
Success!! initrd and the kernel have been built.
Backing up original initrd and vmlinuz.
Copying to new files .../pxeboot/...
Done!







Cpuinfo from vm

[opc@testvm ~]$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 63
model name : Intel(R) Xeon(R) CPU E5-2699 v3 @ 2.30GHz
stepping : 2
microcode : 0x1
cpu MHz : 2294.876
cache size : 4096 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 1
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ss syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon rep_good nopl eagerfpu pni pclmulqdq vmx ssse3 fma cx16 pcid sse4_ 1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand hyperv isor lahf_lm abm arat tpr_shadow vnmi flexpriority ept fsgsbase tsc_adjust bmi1 avx2 smep bmi2 erms invpcid xsaveopt
bogomips : 4589.75
clflush size : 64
cache_alignment : 64
address sizes : 40 bits physical, 48 bits virtual
power management:

Future directions
Have a special initrd that will overlay the root filsystem with a raw image.



Add a comment...

for all those in oci frustrated about hostname shenanigans look at this file

# This configuration file controls the hostname persistence behavior for Oracle Linux
# compute instance on Oracle Cloud Infrastructure (formerly Baremetal Cloud Services)
# Set PRESERVE_HOSTINFO to one of the following values
# 0 -- default behavior to update hostname, /etc/hosts and /etc/resolv.conf to
# reflect the hostname set during instance creation from the metadata service
# 1 -- preserve user configured hostname across reboots; update /etc/hosts and
# /etc/resolv.conf from the metadata service
# 2 -- preserve user configured hostname across instance reboots; no custom
# changes to /etc/hosts and /etc/resolv.conf from the metadata service,
# but dhclient will still overwrite /etc/resolv.conf
PRESERVE_HOSTINFO=0


the name of this file is /etc/oci-hostname.conf
Add a comment...

Post has attachment
Configuring IPMI In clusterware to enable CRS to automatically reboot a hung node through its ilom from a surviving node. If a node hangs while being evicted then traditionally there wasn't anything the surviving node could do because unless the failed node is removed from the cluster the chances of disk corruption are too great. here by using the IPMI interface we can enable CRS to reboot the remote node . This is shown here on Exadata but is applicable for appropriate non exadata systems also. See MOs note id How to Configure IPMI with Oracle Grid Infrastructure Clusterware (Doc ID 1968744.1)
Photo
Add a comment...

Post has attachment
This is the new Slide for the Ace program. If you are not a ware the Ace Experts are on a mission to help people understand Oracle technology and get the best out of it. If you feel you are the sort of contributor who can evangelize Oracle technology please consider joining us :)
Photo
Add a comment...

Post has attachment
How to Monitor Infiniband CPU Usage Using Oracle Enterprise Manager (Doc ID 2152997.1)
Infiniband Switch issue
Add a comment...
Wait while more posts are being loaded